define({"717":{i:0.000325206818646998,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Active Directory user authentication through HTTP.htm",a:"To authenticate to HCP with Active Directory, you need to construct an authentication token from a AD user account and then submit it using a request header with all requests. The username and password does not need to be encoded. If AD single sign-on is enabled for the namespace and you want to ...",t:"Active Directory user authentication through HTTP"},"718":{i:0.000325206818646998,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Active Directory authentication token.htm",a:"Active Directory authentication token An AD authentication token consists of an AD username and password separated by a colon, like this: AD-username:AD-password For example, here’s the token for the username lgreen and the password p4ssw0rd: lgreen@example.com:p4sswOrd",t:"Active Directory authentication token"},"719":{i:0.000325206818646998,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Active Directory authorization header.htm",a:"You use the HTTP Authorization request header to provide the authentication token for a request.  The value of this header is AD followed by the authentication token, in this format: Authorization: AD authentication-token For example, here’s the Authorization header for a user named lgreen and ...",t:"Active Directory authorization header"},"720":{i:0.000325206818646998,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Transmitting data in compressed format.htm",a:"To save bandwidth, you can compress object data, an annotation, or an ACL in gzip format before sending it to HCP.  In the PUT request, you tell HCP that data is compressed so that HCP knows to decompress the data before storing it. Similarly, in a GET request, you can tell HCP to return object ...",t:"Transmitting data in compressed format"},"721":{i:0.000325206818646998,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Responding system.htm",a:"When an HCP system participates in replication, HTTP requests (except those that request information about a namespace) may be redirected to another system in the replication topology if the target system is unavailable.  For this redirection to work, both the target namespace and the HCP system ...",t:"Responding system"},"722":{i:0.000641083890473442,u:"../Content/Using a Namespace/Working with objects and versions/Working with objects and versions.htm",a:"With HTTP, you can perform operations on individual objects.  Also, if the namespace you’re using is configured to allow versioning, you can store multiple versions of an object.  You can use this technique, for example, to preserve multiple states of a file that changes over time. You can perform ...",t:"Working with objects and versions"},"723":{i:0.00118517106124035,u:"../Content/Using a Namespace/Working with objects and versions/Storing an object or version of an object.htm",a:"You use the HTTP PUT method to store an object or new version of an existing object in a namespace.  You can optionally use this method to store the object or version data and custom metadata in a single operation.  To store versions, the namespace must be configured to allow versioning.  When ...",t:"Storing an object or version of an object"},"724":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Storing object request contents.htm",a:"The PUT request to store an object or version has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header A URL specifying the location in which to store the object A body containing the fixed-content data to be stored in the namespace Conditionally ...",t:"Storing object request contents"},"725":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Storing object access permission.htm",a:"Storing object access permission To store an object in a namespace, you need write permission for the namespace. To store a version of an object in a namespace, you need write permission for the object or namespace.",t:"Storing object access permission"},"726":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Storing object request-specific return codes.htm",a:"The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes . Code Meaning Description 201 Created HCP successfully stored the object.  If versioning is enabled and an object with the same name ...",t:"Storing object request-specific return codes"},"727":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Storing object request-specific response headers.htm",a:"The table below describes request-specific HTTP response headers returned by a successful request.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers . Header Description ETag The ETag of the object or version data enclosed in double quotation marks (\"). ...",t:"Storing object request-specific response headers"},"728":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Storing object examples.htm",a:"Storing object examples The following sections show sample HTTP PUT requests for storing objects and versions of objects.",t:"Storing object examples"},"729":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Storing an object or object version example.htm",a:"Here’s a sample HTTP PUT request that stores a new object or new version of an object named Q1_2012.ppt in the quarterly_rpts directory. Request with curl command line curl  -k  -iT  Q1_2012.ppt     -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Storing an object or object version example"},"730":{i:0.000551140678048312,u:"../Content/Using a Namespace/Working with objects and versions/Sending object or version data with an annotation (Unix) example.htm",a:"Here’s a Unix command line that uses an HTTP PUT request to store the object data and an annotation for a file named Q1_2012.ppt.  The request stores the object in the quarterly_rpts directory. The cat command appends the contents of the Q1_2012-custom-metadata.xml file to the contents of the ...",t:"Sending object or version data with an annotation (Unix) example"},"731":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Sending object or version data with an annotation (Java) example.htm",a:"Here’s the partial implementation of a Java class named WholeIO.  The implementation shows the WriteToHCP method, which uses a single HTTP PUT request to store data and an annotation for an object (or version). This example assumes that the applicable imports are included in the full class ...",t:"Sending object or version data with an annotation (Java) example"},"732":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Sending object data in compressed format (Unix) example.htm",a:"Here’s a Unix command line that uses the gzip utility to compress the Q1_2012.ppt file and then pipes the compressed output to a curl command.  The curl command makes an HTTP PUT request that sends the data and tells HCP that the data is compressed. Request with gzip and curl commands gzip  -c  ...",t:"Sending object data in compressed format (Unix) example"},"733":{i:0.000492791853021121,u:"../Content/Using a Namespace/Working with objects and versions/Sending object data in compressed format (Java) example.htm",a:"Here’s the partial implementation of a Java class named HTTPCompression.  The implementation shows the WriteToHCP method, which stores an object (or version) in an HCP namespace.  The method compresses the data before sending it and uses the Content-Encoding header to tell HCP that the data is ...",t:"Sending object data in compressed format (Java) example"},"734":{i:0.000379699507819194,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object or version of an object.htm",a:"You use the HTTP PUT method to copy an object or existing version of an  object from one location to another.  The copy operation has these characteristics: The source location can be any namespace, including the default namespace. The target location must be an HCP namespace and can include the ...",t:"Copying an object or version of an object"},"735":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object request contents.htm",a:"The PUT request to copy an object or version of an object has these elements: If you’re accessing the target namespace as an authenticated user, an Authorization header An X-HCP-CopySource header in this format: X-HCP-CopySource: source-namespace-name.source-tenant-name/source-object-path The value ...",t:"Copying an object request contents"},"736":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object access permission.htm",a:"Copying an object access permission To copy an object or version, you need read permission for the source namespace and write permission for the target namespace.",t:"Copying an object access permission"},"737":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object request-specific return codes.htm",a:"The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes . Code Meaning Description 201 Created HCP successfully copied the object.  If versioning is enabled and an object with the same name ...",t:"Copying an object request-specific return codes"},"738":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object request-specific response headers.htm",a:"The request to copy an object returns an ETag header with the ETag of the stored object data, enclosed in double quotation marks (\").   This option does not return any request-specific HCP-specific headers.  For information on all HCP-specific response headers, see  HCP-specific HTTP response ...",t:"Copying an object request-specific response headers"},"739":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object example.htm",a:"Here’s a sample HTTP PUT request that copies an object  named Q1_2012.ppt from the default namespace if the source object has been modified since midnight, Tuesday, January 1, 2013 EST.  The request stores the object, using the source object name, in the finance namespace . Request with curl command ...",t:"Copying an object example"},"740":{i:0.00106871494604034,u:"../Content/Using a Namespace/Working with objects and versions/Checking the existence of an object or multiple versions of an object.htm",a:"You use the HTTP HEAD method to check whether an object, a version of an object, or a range of versions of an object exists in a namespace. These requests also retrieve the metadata for the object without retrieving the object data. The metadata is returned in HTTP response headers. An HTTP 200 (OK) ...",t:"Checking the existence of an object or multiple versions of an object"},"741":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Checking the existence of an object or multiple versions of an object request contents.htm",a:"The HEAD request to check the existence of an object or multiple version has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header The URL of the object or symbolic link By default, the HEAD request to check the existence of object versions does not ...",t:"Checking the existence of an object or multiple versions of an object request contents"},"742":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Checking the existence of an object or multiple versions of an object access permission.htm",a:"Checking the existence of an object or multiple versions of an object access permission To check the existence of an object or multiple object versions, you need browse permission.",t:"Checking the existence of an object or multiple versions of an object access permission"},"743":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Checking the existence of an object or multiple versions of an object request-specific return codes.htm",a:"The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes . Code Meaning Description 200 OK HCP found the specified object or version and returned its metadata.  This code is also returned if ...",t:"Checking the existence of an object or multiple versions of an object request-specific return codes"},"744":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Checking the existence of an object or multiple versions of an object request-specific response headers.htm",a:"The table below describes request-specific response headers returned for this operation.  For information on all HCP-specific response headers, see HCP-specific HTTP response headers . Header Description ChangeTimeString The change time for the object in this format: DDD, ddmmmyyyyhh:mm:ss GMT For ...",t:"Checking the existence of an object or multiple versions of an object request-specific response headers"},"745":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Checking the existence of an object or multiple versions of an object example.htm",a:"Checking the existence of an object or multiple versions of an object example The following sections show sample HTTP HEAD requests for checking the existence of an object or multiple versions of an object.",t:"Checking the existence of an object or multiple versions of an object example"},"746":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Checking the existence of an object example.htm",a:"Here’s a sample HTTP HEAD request that checks the existence of an object named Q1_2012.ppt in the quarterly_rpts directory. Request with curl command line curl  -iI  -k  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Checking the existence of an object example"},"747":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Checking the existence of an object version at a specified time example.htm",a:"Here’s a sample HTTP HEAD request that checks the existence of a version of an object named Q1_2012.ppt in the quarterly_rpts directory at the specified time of 80232998058817 using the object version ingest time. Request with curl command line curl  -i -I -k  -H  \"Authorization: HCP ...",t:"Checking the existence of an object version at a specified time example"},"748":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Checking the existence of a range of object versions.htm",a:"Here’s a sample HTTP HEAD request that checks the existence of a range of object versions for an object named Q1_2012.ppt in the quarterly_rpts directory. The version range for the object is 80232998058817-80232998058819. Request with curl command line curl  -i -I -k  -H  \"Authorization: HCP ...",t:"Checking the existence of a range of object versions"},"749":{i:0.00088418130762188,u:"../Content/Using a Namespace/Working with objects and versions/Listing object versions.htm",a:"While versioning is enabled, you use the HTTP GET method to list the versions of an object.  By default, the response body contains an XML listing that includes the current version and old versions that haven’t been pruned.  It does not include versions that have been deleted.  However, you can ...",t:"Listing object versions"},"750":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Listing object versions request contents.htm",a:"The GET request to list object versions has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header. The URL of the object. A version=list URL query parameter. If you specify a condition, the HCP returns a version list only if all versions of the object ...",t:"Listing object versions request contents"},"751":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Listing object versions access permission.htm",a:"Listing object versions access permission To list object versions, you need browse permission.",t:"Listing object versions access permission"},"752":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Listing object versions request-specific return codes.htm",a:"The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes . Code Meaning Description 200 OK HCP successfully returned the version list. 404 Not Found One of: HCP could not find a directory, ...",t:"Listing object versions request-specific return codes"},"753":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Listing object versions request-specific response header.htm",a:"The table below describes the request-specific response header for this operation.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers . Header Description X-HCP-SymlinkTarget The path to the target object as specified when the symbolic link was created. ...",t:"Listing object versions request-specific response header"},"754":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Listing object versions response body.htm",a:"The body of the HTTP response to a GET request to list object versions contains an XML document listing the versions, in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\"?\u003e \u003c?xml-stylesheet type=\"text/xsl\" href=\"/static/xsl/ns-versions.xsl\"?\u003e \u003cversions ...",t:"Listing object versions response body"},"755":{i:0.000757129436847353,u:"../Content/Using a Namespace/Working with objects and versions/Listing the versions of an object example.htm",a:"Here’s a sample HTTP GET request that saves an XML listing of the versions of an object named Q1_2012.ppt located in the quarterly_rpts directory.  The object has three versions:  the original version that was ingested, a deleted version, and a version that was ingested after the original version ...",t:"Listing the versions of an object example"},"756":{i:0.00274853375763013,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving an object or multiple versions of an object.htm",a:"You use the HTTP GET method to retrieve an object, a version of an object, or a range of versions of an object from a namespace. When retrieving an single object or version, you can request all the object data or part of the data. When retrieving multiple versions of an object, you can only request ...",t:"Retrieving an object or multiple versions of an object"},"757":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving an object or multiple versions of an object request contents.htm",a:"The GET request to retrieve an object has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header The URL of the object or symbolic link By default, the GET request to retrieve object versions does not include deleted versions (that is, the marker versions ...",t:"Retrieving an object or multiple versions of an object request contents"},"758":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving an object or multiple versions of an object access permission.htm",a:"Retrieving an object or multiple versions of an objects access permission To retrieve an object or version, you need read permission.",t:"Retrieving an object or multiple versions of an objects access permission"},"759":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving an object or multiple versions of an object request-specific return codes.htm",a:"The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes . Code Meaning Description 200 OK HCP successfully retrieved a complete object or version. This code is also returned if the URL ...",t:"Retrieving an object or multiple versions of an object request-specific return codes"},"760":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving an object or multiple versions of an object request-specific response headers.htm",a:"The table below describes request-specific response headers for this operation.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers . Header Description ChangeTimeString The change time for the object in this format: DDD, ddmmmyyyyhh:mm:ss GMT For example, ...",t:"Retrieving an object or multiple versions of an object request-specific response headers"},"761":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving an object or multiple versions of an object response body.htm",a:"The body of the HTTP response contains either all the data for the requested object, version, or object versions or the requested range of data for a single object or version. If the request includes an Accept-Type header containing gzip or *, HCP compresses the body using gzip encoding. If the ...",t:"Retrieving an object or multiple versions of an object response body"},"762":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving an object or multiple versions of an object examples.htm",a:"Retrieving an object or multiple versions of an object examples The following sections show sample HTTP GET requests for retrieving an object or multiple versions of an object.",t:"Retrieving an object or multiple versions of an object examples"},"763":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving all object data example.htm",a:"Here’s a sample HTTP GET request that retrieves an object named Q1_2012.ppt in the quarterly_rpts directory. Request with curl command line curl  -k  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" \t\"https://finance.europe.hcp.example.com/rest/quarterly_rpts/Q1_2012.ppt\" \u003e ...",t:"Retrieving all object data example"},"764":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving object data in compressed format (command line) example.htm",a:"Here’s a sample curl command that tells HCP to compress the Q1_2012.ppt object before sending it to the client and then decompresses the returned content. Request with curl command line curl  --compressed       -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Retrieving object data in compressed format (command line) example"},"765":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving object data in comprssed format (Java) example.htm",a:"Here’s the partial implementation of a Java class named HTTPCompression.  The implementation shows the ReadFromHCP method, which retrieves an object from an HCP namespace.  It uses the Accept-Encoding header to tell HCP to compress the object before returning it and then decompresses the results. ...",t:"Retrieving object data in comprssed format (Java) example"},"766":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving a specific old version of an object example.htm",a:"Here’s a sample HTTP GET request that retrieves version 80232998058817 of an object named Q1_2012.ppt in the quarterly_rpts directory. Request with curl command line curl  -k  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Retrieving a specific old version of an object example"},"767":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving the last object version at a specified time example.htm",a:"Here’s a sample HTTP GET request that retrieves the version of an object named Q1_2012.ppt in the quarterly_rpts directory that existed at 80232998058817, using the object version ingest time. Request with curl command line curl  -i -k  -H  \"Authorization: HCP ...",t:"Retrieving the last object version before at a specified time example"},"768":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving a range of an object\u0027s versions.htm",a:"Here’s a sample HTTP GET request that checks the existence of a range of object versions for an object named Q1_2012.ppt in the quarterly_rpts directory. The version range for the object is 80232998058817-80232998058819 Request with curl command line curl  -i -k  -H  \"Authorization: HCP ...",t:"Retrieving a range of an object\u0027s versions"},"769":{i:0.000718725712422435,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving object data and an annotation together (Java).htm",a:"Here’s the partial implementation of a Java class named WholeIO.  The implementation shows the ReadFromHCP method, which retrieves object data and an annotation named report_data in a single data stream, splits the object data from the annotation, and stores each in a separate file. The ReadFromHCP ...",t:"Retrieving object data and an annotation together (Java)"},"770":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Retrieving partial object data example.htm",a:"Here’s a sample HTTP GET request that retrieves the first 10,000 bytes of an object named status27.txt in the status directory. Request with curl command line curl  -k  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\"     -r  0-9999 ...",t:"Retrieving partial object data example"},"771":{i:0.000811622126019549,u:"../Content/Using a Namespace/Working with objects and versions/Deleting an object and using privileged delete.htm",a:"You use the HTTP DELETE method to delete the current version of an object.  You cannot delete individual old versions of an object.  For information on deleting all versions of an object, see  Purging an object and using privileged purge . If you delete an object and versioning is not enabled for ...",t:"Deleting an object and using privileged delete"},"772":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Deleting an object request contents.htm",a:"The DELETE request to delete an object has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header The URL of the object or symbolic link To perform a privileged delete, the request must specify both of these URL query parameters: privileged=true ...",t:"Deleting an object request contents"},"773":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Deleting an object access permission.htm",a:"Deleting an object access permission To delete an object, you need delete permission. To perform a privileged delete, even if the object is not under retention, you also need privileged permission.",t:"Deleting an object access permission"},"774":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Deleting an object request-specific return codes.htm",a:"The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes . Code Meaning Description 200 OK HCP successfully deleted the object.  This code is also returned if the URL specified a directory and ...",t:"Deleting an object request-specific return codes"},"775":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Deleting an object request-specific response headers.htm",a:"Deleting an object request-specific response headers This operation does not return any request-specific response headers.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers .",t:"Deleting an object request-specific response headers"},"776":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Deleting an object examples.htm",a:"Deleting an object examples The following sections show sample HTTP DELETE requests for deleting an object and for using privileged delete.",t:"Deleting an object examples"},"777":{i:0.000325206818646998,u:"../Content/Using a Namespace/Working with objects and versions/Deleting an object example.htm",a:"Here’s a sample HTTP DELETE request that deletes the object named  Q1_2012.ppt from the quarterly_rpts directory in the namespace. Request with curl command line curl -k  -iX  DELETE       -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Deleting an object example"},});