define({"1114":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Responses.htm",a:"The response to an HS3 request consists of a response status line, response headers that provide information about the execution and outcome of the request, and, if applicable, a response body.  The response to an unsuccessful request (except for HEAD requests) includes an error response body.",t:"Responses"},"1115":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Response status line.htm",a:"The status line returned in response to an HS3 request specifies the version of HTTP on which the HS3 API is based and an HTTP status code that indicates the outcome of the request.  HTTP status codes in the 2xx range indicate that the requested operation was successful.  HTTP status codes in the ...",t:"Response status line"},"1116":{i:0.00419520418699637,u:"../Content/Using the HCP HS3 API/Common response headers.htm",a:"Some response headers are common to all HS3 requests.  The table below describes those headers.  Response headers that are specific to certain requests are described in the sections for those requests in  Working with buckets  and  Working with objects . Response header Description Content-Length ...",t:"Common response headers"},"1117":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Error response body.htm",a:"When an HS3 requests results in an error, HCP returns information about the error in an error request body.  An error request body contains XML in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\"?\u003e \u003cError\u003e     \u003cCode\u003eerror-code\u003c/Code\u003e     \u003cMessage\u003eerror-message\u003c/Message\u003e ...",t:"Error response body"},"1118":{i:0.00525484632356822,u:"../Content/Using the HCP HS3 API/Error codes.htm",a:"Every error response body contains an error code and a message that provides more information about the error.  Error codes are returned in addition to HTTP status codes.  A single HTTP status code can correspond to multiple error codes. The table below describes the error codes that can be returned ...",t:"Error codes"},"1119":{i:0.00828699833720511,u:"../Content/Using the HCP HS3 API/Working with buckets.htm",a:"With the HS3 API, you can perform operations on individual buckets.  You can also list all the buckets you own. For each bucket operation you can request, this chapter: Describes the operation Shows the request line for the operation Describes the request headers for the operation Describes the ...",t:"Working with buckets"},"1120":{i:0.000341467311791323,u:"../Content/Using the HCP HS3 API/creating a bucket.htm",a:"You use the HTTP PUT method to create a bucket.  You can create a bucket only if your user account is configured to let you do so. When you create a bucket, you specify a name for it.  For information on naming buckets, see  Bucket names . You can specify an ACL for a bucket in the same request as ...",t:"Creating a bucket"},"1121":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/PUT bucket request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to create a bucket has either of these formats: With the bucket name included in the hostname: PUT / HTTP/1.1 With the bucket name following the hostname: PUT /bucket-name HTTP/1.1",t:"PUT bucket request line"},"1122":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/PUT bucket request headers.htm",a:"The table below describes the headers you can use in a request to create a bucket. Request header Description Required Authorization See  AWS authentication .\nYou cannot create a bucket as an anonymous user. Yes Content-Length Specifies the size, in bytes, of the request body.  For a request to ...",t:"PUT bucket request headers"},"1123":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/PUT bucket response headers.htm",a:"The table below describes the response headers returned in response to a successful request to create a bucket. Request header Description Content-length Specifies the size, in bytes, of the response body.  In response to a successful request to create a bucket, the value of this header is always 0 ...",t:"PUT bucket response headers"},"1124":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/PUT bucket HTTP status codes.htm",a:"The table below describes HTTP status codes that can be returned in response to a request to create a bucket.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes . Code Meaning Description 200 OK One of: The bucket was successfully created. A ...",t:"PUT bucket HTTP status codes"},"1125":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Put bucket examples.htm",a:"Put bucket examples The following sections show sample PUT requests for creating buckets.",t:"Put bucket examples"},"1126":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Creating a bucket example.htm",a:"Here’s a sample PUT request that creates a bucket named finance in the context of the tenant named europe. Request with s3curl command line ./s3curl.pl  --id=lgreen  --createBucket  --  -k  \"https://finance.europe.hcp.example.com\" Request headers PUT / HTTP/1.1 Host: finance.europe.hcp.example.com ...",t:"Creating a bucket example"},"1127":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Creating a bucket with an ACL example.htm",a:"Here’s a sample PUT request that creates a bucket named human-resources and adds an ACL to the bucket.  The ACL grants read permission to all users and write permission to the users with usernames mwhite and pdgrey. Request with s3curl command line ./s3curl.pl  --id=lgreen  --createBucket  --  -k ...",t:"Creating a bucket with an ACL example"},"1128":{i:0.000341467311791323,u:"../Content/Using the HCP HS3 API/Listing the buckets you own.htm",a:"You use the HTTP GET method to list the buckets you own.  You need a user account to request this operation. The target of a request to list the buckets you own is a tenant (that is, the service point).  The list of buckets in the response contains only buckets created in the context of that tenant ...",t:"Listing the buckets you own"},"1129":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket request line.htm",a:"GET bucket request line The request line for a request to list the buckets you own has this format: GET / HTTP/1.1",t:"GET bucket request line"},"1130":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket request headers.htm",a:"The table below describes the headers you can use in a request to list the buckets you own. Request header Description Required Authorization See  AWS authentication .\nYou cannot create a bucket as an anonymous user. Yes Date See  Common request headers . Date or x-amz-date Host See  Common request ...",t:"GET bucket request headers"},"1131":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket response headers.htm",a:"The table below describes the response headers returned in response to a successful request to create a bucket. Request header Description Content-Type Specifies the Internet media type of the response body.  For a request to list the buckets you own, the value of this header is always ...",t:"GET bucket response headers"},"1132":{i:0.000615456775111047,u:"../Content/Using the HCP HS3 API/GET bucket response body.htm",a:"HCP returns the list of buckets you own in an XML response body, in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003cListAllMyBucketsResult xmlns=\"http://s3.amazonaws.com/doc/2006-03-01/\"\u003e      \u003cOwner\u003e           \u003cID\u003ebucket-owner-user-id\u003c/ID\u003e ...",t:"GET bucket response body"},"1133":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket HTTP status codes.htm",a:"The table below describes HTTP status codes that can be returned in response to a request to list the buckets you own.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes . Code Meaning Description 200 OK HCP successfully retrieved the list of ...",t:"GET bucket HTTP status codes"},"1134":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Listing the buckets you own example.htm",a:"Here’s a sample GET request that returns a list of the buckets owned by user lgreen in the context of the europe tenant. Request with s3curl command line ./s3curl.pl  --id=lgreen  --  -k  \"https://europe.hcp.example.com\" -H  \"x-hcp-pretty-print:true\" Request headers GET / HTTP/1.1 Host: ...",t:"Listing the buckets you own example"},"1135":{i:0.000341467311791323,u:"../Content/Using the HCP HS3 API/Checking the existence of a bucket.htm",a:"You use the HTTP HEAD method to check the existence of a bucket.  To successfully check the existence of a bucket, you need read permission for the bucket. If the bucket you specify in the HEAD request does not exist, HCP returns a 404 (Not Found) status code.  If the bucket exists but you do not ...",t:"Checking the existence of a bucket"},"1136":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/HEAD bucket request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to check the existence of a bucket has either of these formats: With the bucket name included in the hostname: HEAD / HTTP/1.1 With the bucket name following the hostname: HEAD ...",t:"HEAD bucket request line"},"1137":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/HEAD bucket request headers.htm",a:"The table below describes the headers you can use in a request to check the existence of a bucket. Request header Description Required Authorization See  AWS authentication .\nYou cannot create a bucket as an anonymous user. Yes Date See  Common request headers . Date or x-amz-date Host See  Common ...",t:"HEAD bucket request headers"},"1138":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/HEAD bucket response headers.htm",a:"The table below describes the response headers returned in response to a successful request to check the existence of a bucket. Request header Description Content-Type Specifies the size, in bytes, of the response body.  In response to a successful request to check the existence of a bucket, the ...",t:"HEAD bucket response headers"},"1139":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/HEAD bucket HTTP status codes.htm",a:"The table below describes HTTP status codes that can be returned in response to a request to check the existence of a bucket.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes . Code Meaning Description 200 OK The specified bucket exists. 403 ...",t:"HEAD bucket HTTP status codes"},"1140":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Checking the existence of a bucket example.htm",a:"Here’s a sample HEAD request that checks the existence of a bucket named finance. Request with s3curl command line ./s3curl.pl  --id=lgreen  --head  --  -k  \"https://finance.hcp.example.com\" Request headers HEAD / HTTP/1.1 Host: finance.europe.hcp.example.com Date: Tue, 19 Mar 2013 20:08:59 +0000 ...",t:"Checking the existence of a bucket example"},"1141":{i:0.000341467311791323,u:"../Content/Using the HCP HS3 API/Adding an ACL to a bucket.htm",a:"You use the HTTP PUT method with the acl query parameter to add an ACL to an existing bucket.  Adding an ACL to a bucket replaces any existing ACL in its entirety.  You cannot modify an existing ACL in place. To add an ACL to a bucket, you need write ACL permission for the bucket. To add an ACL to a ...",t:"Adding an ACL to a bucket"},"1142":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/PUT bucket ACL request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to add an ACL to a bucket has either of these formats: With the bucket name included in the hostname: PUT /?acl HTTP/1.1 With the bucket name following the hostname: PUT ...",t:"PUT bucket ACL request line"},"1143":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/PUT bucket ACL request headers.htm",a:"The table below describes the headers you can use in a request to add an ACL to a bucket. Request header Description Required Authorization See  AWS authentication .\nYou cannot create a bucket as an anonymous user. Yes Content-Length Specifies the size, in bytes, of the ACL request body.\nThis header ...",t:"PUT bucket ACL request headers"},"1144":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/PUT bucket ACL HTTP status codes.htm",a:"The table below describes HTTP status codes that can be returned in response to a request to add an ACL to a bucket.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes . Code Meaning Description 200 OK HCP successfully added the ACL to the ...",t:"PUT bucket ACL HTTP status codes"},"1145":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Examples.htm",a:"Examples The following sections show sample PUT requests for adding ACLs to buckets.",t:"Examples"},"1146":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Adding an ACL to a bucket by specifying individual grants example.htm",a:"Here’s a sample PUT request that adds an ACL to the finance bucket by using x-amz-grant- headers.  The ACL grants read permission to all users, write permission to user pdgrey, and write, read ACL, and write ACL permission to user mwhite. Request with s3curl command line ./s3curl.pl  --id=lgreen  ...",t:"Adding an ACL to a bucket by specifying individual grants example"},"1147":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Adding an ACL to a bucket by using an ACL request body example.htm",a:"Here’s a sample PUT request that uses an ACL request body to add an ACL to the finance bucket and, at the same time, change the owner of the bucket.  The ACL grants read and write access to the bucket to user lgreen and changes the bucket owner to user mwhite.  The ACL request body is in a file ...",t:"Adding an ACL to a bucket by using an ACL request body example"},"1148":{i:0.000341467311791323,u:"../Content/Using the HCP HS3 API/Retrieving the ACL for a bucket.htm",a:"You use the HTTP GET method with the acl query parameter to retrieve the ACL for a bucket.  To retrieve the ACL for a bucket, you need read ACL permission for the bucket. The bucket ACL is returned in an XML response body.  The format of the response body is the same as the format you use for the ...",t:"Retrieving the ACL for a bucket"},"1149":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket ACL request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to retrieve a bucket ACL has either of these formats: With the bucket name included in the hostname: GET /?acl HTTP/1.1 With the bucket name following the hostname: GET ...",t:"GET bucket ACL request line"},"1150":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket ACL request headers.htm",a:"The table below describes the headers you can use in a request to retrieve a bucket ACL. Request header Description Required Authorization See  AWS authentication .\nYou cannot create a bucket as an anonymous user. Yes Date See  Common request headers . Date or x-amz-date Host See  Common request ...",t:"GET bucket ACL request headers"},"1151":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket ACL response headers.htm",a:"The table below describes the response headers returned in response to a successful request to retrieve a bucket ACL. Request header Description Content-Type Specifies the Internet media type of the response body.  For a request to retrieve a bucket ACL, the value of this header is always ...",t:"GET bucket ACL response headers"},"1152":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket ACL HTTP status codes.htm",a:"The table below describes HTTP status codes that can be returned in response to a request to retrieve a bucket ACL.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes . Code Meaning Description 200 OK HCP successfully added the ACL to the bucket. ...",t:"GET bucket ACL HTTP status codes"},"1153":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Retrieving a bucket ACL example.htm",a:"Here’s a sample GET request that retrieves the ACL for the bucket named finance. Request with s3curl command line ./s3curl.pl  --id=lgreen  --  -k  \"https://finance.europe.hcp.example.com?acl\"      -H  \"x-hcp-pretty-print:true\" Request headers GET /?acl HTTP/1.1 Host: finance.europe.hcp.example.com ...",t:"Retrieving a bucket ACL example"},"1154":{i:0.000341467311791323,u:"../Content/Using the HCP HS3 API/Enabling or disabling versioning for a bucket.htm",a:"You use the HTTP PUT method with the versioning query parameter to enable or disable versioning for a bucket.  To enable or disable versioning for a bucket, you need to be the bucket owner. While versioning is enabled for a bucket, the versioning status of the bucket is Enabled.  If you disable ...",t:"Enabling or disabling versioning for a bucket"},"1155":{i:0.000615456775111047,u:"../Content/Using the HCP HS3 API/PUT bucket versioning request body.htm",a:"For the content of a versioning request body, you use XML in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003cVersioningConfiguration xmlns=\"http://s3.amazonaws.com/doc/2006-03-01/\"\u003e      \u003cStatus\u003eversioning-status\u003c/Status\u003e \u003c/VersioningConfiguration\u003e The table below describes XML ...",t:"PUT bucket versioning request body"},"1156":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/PUT bucket versioning request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to enable or disable versioning for a bucket has either of these formats: With the bucket name included in the hostname: PUT /?versioning HTTP/1.1 With the bucket name following the ...",t:"PUT bucket versioning request line"},"1157":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/PUT bucket versioning request headers.htm",a:"The table below describes the headers you can use in a request to enable or disable versioning for a bucket. Request header Description Required Authorization See  AWS authentication .\nYou cannot create a bucket as an anonymous user. Yes Content-Lenth Specifies the size, in bytes, of the versioning ...",t:"PUT bucket versioning request headers"},"1158":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/PUT bucket versioning response headers.htm",a:"The table below describes the response headers returned in response to a successful request to enable or disable versioning for a bucket. Request header Description Content-Length Specifies the size, in bytes, of the response body.  In response to a successful request to enable or disable versioning ...",t:"PUT bucket versioning response headers"},"1159":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/PUT bucket versioning HTTP status codes.htm",a:"The table below describes HTTP status codes that can be returned in response to a request to enable or disable versioning for a bucket.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes . Code Meaning Description 200 OK HCP successfully enabled ...",t:"PUT bucket versioning HTTP status codes"},"1160":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Enabling versioning for a bucket example.htm",a:"Here’s a sample PUT request that enables versioning for the finance bucket.  The versioning request body is in a file named versioning.xml. Request body \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003cVersioningConfiguration xmlns=\"http://s3.amazonaws.com/doc/2006-03-01/\"\u003e ...",t:"Enabling versioning for a bucket example"},"1161":{i:0.000341467311791323,u:"../Content/Using the HCP HS3 API/Checking the versioning status of a bucket.htm",a:"You use the HTTP GET method with the versioning query parameter to check the versioning status of a bucket.  To check the versioning status of a bucket, you need to be the bucket owner. The versioning status is returned in an XML response body.  The format of the response body is the same as the ...",t:"Checking the versioning status of a bucket"},"1162":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket versioning request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to check the versioning status of a bucket has either of these formats: With the bucket name included in the hostname: GET /?versioning HTTP/1.1 With the bucket name following the ...",t:"GET bucket versioning request line"},"1163":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket versioning request headers.htm",a:"The table below describes the headers you can use in a request to check the versioning status of a bucket. Request header Description Required Authorization See  AWS authentication .\nYou cannot create a bucket as an anonymous user. Yes Date See  Common request headers . Date or x-amz-date Host See  ...",t:"GET bucket versioning request headers"},"1164":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket versioning response headers.htm",a:"The table below describes the response headers returned in response to a successful request to check the versioning status of a bucket. Request header Description Content-Type Specifies the Internet media type of the response body.  For a request to check the versioning status of a bucket, the value ...",t:"GET bucket versioning response headers"},"1165":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket versioning HTTP status codes.htm",a:"The table below describes HTTP status codes that can be returned in response to a request to check the versioning status of a bucket.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes . Code Meaning Description 200 OK HCP successfully retrieved ...",t:"GET bucket versioning HTTP status codes"},"1166":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Checking the versioning status of a bucket example.htm",a:"Here’s a sample GET request that retrieves the versioning status of the bucket named finance. Request with s3curl command line ./s3curl.pl  --id=lgreen  --  -k  \"https://finance.europe.hcp.example.com?versioning\"      -H  \"x-hcp-pretty-print:true\" Request headers GET /?versioning HTTP/1.1 Host: ...",t:"Checking the versioning status of a bucket example"},"1167":{i:0.000341467311791323,u:"../Content/Using the HCP HS3 API/Listing bucket contents.htm",a:"You use the HTTP GET method to list the contents of a bucket.  To list the contents of a bucket, you need browse permission for the bucket. For the purpose of a bucket listing, the bucket contents consist not only of the objects you stored in the bucket but also of the folders that you created in ...",t:"Listing bucket contents"},"1168":{i:0.000421956804135014,u:"../Content/Using the HCP HS3 API/Limiting the bucket listing.htm",a:"Limiting the bucket listing You use query parameters to limit the items included in a bucket listing.  The query parameters you can use depend on whether you’re requesting a list of the current (or only) versions of objects or a list of object versions.",t:"Limiting the bucket listing"},"1169":{i:0.000857332764416725,u:"../Content/Using the HCP HS3 API/Limiting a listing of current items.htm",a:"You can use delimiter, marker, max-keys, and prefix query parameters, alone or in combination with each other, to limit the list of the current items in a bucket. delimiter You use the delimiter query parameter to request a bucket listing that includes a list of common prefixes, where a prefix is ...",t:"Limiting a listing of current items"},"1170":{i:0.000463421010373761,u:"../Content/Using the HCP HS3 API/Limiting a version listing.htm",a:"You can use delimiter, key-marker, max-keys, prefix, and version-id-marker query parameters, alone or in combination with each other, to limit the items included in a version listing. The delimiter, max-keys, and prefix parameters have the same functions as the delimiter, max-keys, and prefix ...",t:"Limiting a version listing"},"1171":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket with query parameters request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to list the contents of a bucket of a bucket has either of these formats: With the bucket name included in the hostname: GET /[?query-parameters] HTTP/1.1 With the bucket name ...",t:"GET bucket with query parameters request line"},"1172":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket with query parameters request headers.htm",a:"The table below describes the headers you can use in a request to list the contents of a bucket. Request header Description Required Authorization See  AWS authentication .\nYou cannot create a bucket as an anonymous user. Yes Date See  Common request headers . Date or x-amz-date Host See  Common ...",t:"GET bucket with query parameters request headers"},"1173":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket with query parameters response headers.htm",a:"The table below describes the response headers returned in response to a successful request to list the contents of a bucket. Request header Description Content-Type Specifies the Internet media type of the response body.  For a request to list the contents of a bucket, the value of this header is ...",t:"GET bucket with query parameters response headers"},"1174":{i:0.000421956804135014,u:"../Content/Using the HCP HS3 API/GET bucket with query parameters response body.htm",a:"GET bucket with query parameters response body The response body returned in response to a request to list the contents of a bucket differs depending on whether request is for the current (or only) versions of objects or for object versions.  ",t:"GET bucket with query parameters response body"},"1175":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Response body for a listing of current items.htm",a:"In response to a request to list the current (or only) versions of objects in a bucket, HCP returns an XML response body, in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003cListBucketResult xmlns=\"http://s3.amazonaws.com/doc/2006-03-01/\"\u003e      \u003cName\u003ebucket-name\u003c/Name\u003e ...",t:"Response body for a listing of current items"},"1176":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Response body for a version listing.htm",a:"In response to a request to list versions of objects in a bucket, HCP returns an XML response body, in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003cListVersionsResult xmlns=\"http://s3.amazonaws.com/doc/2006-03-01/\"\u003e      \u003cName\u003ebucket-name\u003c/Name\u003e      \u003cPrefix\u003eprefix\u003c/Prefix\u003e ...",t:"Response body for a version listing"},"1177":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Response body elements.htm",a:"The table below describes the XML elements in the two formats of the response body returned in response to a request to list the contents of a bucket.  The elements are listed in alphabetical order. Element Description CommonPrefixes Child of the ListBucketResult or ListVersionsResult element and ...",t:"Response body elements"},"1178":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket with query parameters HTTP status codes.htm",a:"The table below describes HTTP status codes that can be returned in response to a request to list the contents of a bucket.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes . Code Meaning Description 200 OK HCP successfully retrieved the ...",t:"GET bucket with query parameters HTTP status codes"},"1179":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/GET bucket with query parameters examples.htm",a:"GET bucket with query parameters examples The following sections show sample GET requests for listing bucket contents.",t:"GET bucket with query parameters examples"},"1180":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Listing the items in a folder examples.htm",a:"Here’s a sample GET request for a bucket listing that lists the objects that are in the mktg folder and, separately, the subfolders that are in the mktg folder.  The request uses these query parameters: prefix=mktg/ — Lists only items that start with mktg/ marker=mktg/ — Starts the listing with the ...",t:"Listing the items in a folder examples"},"1181":{i:0.000325206818646998,u:"../Content/Using the HCP HS3 API/Listing items a few at a time examples.htm",a:"Here are two sample GET requests for bucket listings that list item versions.  The first request returns a list of three items.  The second request returns a list of the three items that follow the last item returned by the first request. Request for the first three items The request for the first ...",t:"Listing items a few at a time examples"},});