define({"449":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/nfsProtocol.htm",a:"nfsProtocol The nfsProtocol data type describes the nfs resource for HCP namespaces.",t:"nfsProtocol"},"450":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/nfsProtocol data type properties.htm",a:"The table below describes the properties included in the nfsProtocol data type. Property name Data type Description Notes enabled Boolean Specifies whether the NFS protocol is enabled for the namespace.  Valid values are: true — NFS is enabled. false — NFS is disabled. The default is false.   gid ...",t:"nfsProtocol data type properties"},"451":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/nfsProtocol data type example.htm",a:"Here’s an XML example of the nfsProtocol data type: \u003cnfsProtocol\u003e     \u003cenabled\u003etrue\u003c/enabled\u003e     \u003cgid\u003e0\u003c/gid\u003e     \u003cipSettings\u003e         \t\u003callowAddresses\u003e             \t\t\u003cipAddress\u003e192.168.140.10\u003c/ipAddress\u003e             \t\t\u003cipAddress\u003e192.168.140.14\u003c/ipAddress\u003e ...",t:"nfsProtocol data type example"},"452":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/protocols.htm",a:"protocols The protocols data type describes the protocols resource for default namespaces. For HCP namespaces, the protocols resource is superseded by the .../protocols/http resource, which has a data type of httpProtocol.  For information on that data type, see  httpProtocol .",t:"protocols"},"453":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/protocols data type properties.htm",a:"The table below describes the properties included in the protocols data type. Property name Data type Description Notes httpEnabled Boolean Specifies whether the HTTP protocol is enabled for the namespace.  Valid values are: true — HTTP is enabled. false — HTTP is disabled. The default is false.   ...",t:"protocols data type properties"},"454":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/protocols data type example.htm",a:"Here’s an XML example of the protocols data type: \u003cprotocols\u003e     \u003chttpEnabled\u003efalse\u003c/httpEnabled\u003e     \u003chttpsEnabled\u003etrue\u003c/httpsEnabled\u003e     \u003cipSettings\u003e     \t\u003callowAddresses\u003e         \t\t\u003cipAddress\u003e192.168.140.10\u003c/ipAddress\u003e             \t\t\u003cipAddress\u003e192.168.140.14\u003c/ipAddress\u003e ...",t:"protocols data type example"},"455":{i:0.000601635202100525,u:"../Content/HCP Management API Reference/Data Types/recipient.htm",a:"recipient The recipient data type describes the recipient property of the recipients data type.",t:"recipient"},"456":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/recipient data type properties.htm",a:"The table below describes the properties included in the recipient data type. Property name Data type Description Notes address String Specifies a comma-separated list of well-formed email addresses for notification about messages added to the tenant log. This property is required on a POST request. ...",t:"recipient data type properties"},"457":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/recipient data type example.htm",a:"recipient data type example Here’s an XML example of the recipient data type: \u003crecipient\u003e     \u003caddress\u003elgreen@example.com, sgold@example.com\u003c/address\u003e     \u003cimportance\u003eMAJOR\u003c/importance\u003e     \u003cseverity\u003eERROR\u003c/severity\u003e     \u003ctype\u003eGENERAL,SECURITY\u003c/type\u003e \u003c/recipient\u003e",t:"recipient data type example"},"458":{i:0.000417349613131507,u:"../Content/HCP Management API Reference/Data Types/recipients.htm",a:"recipients The recipients data type describes the recipients property of the emailNotification data type.",t:"recipients"},"459":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/recipients data type properties.htm",a:"The table below describes the property included in the recipients data type. Property name Data type Description Notes recipient recipient Specifies: One or more email addresses to which HCP sends email about log messages The types of log messages about which HCP sends email to those addresses For ...",t:"recipients data type properties"},"460":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/recipients data type example.htm",a:"Here’s an XML example of the recipients data type property: \u003crecipients\u003e     \u003crecipient\u003e         \t\u003caddress\u003elgreen@example.com, sgold@example.com\u003c/address\u003e         \t\u003cimportance\u003eMAJOR\u003c/importance\u003e         \t\u003cseverity\u003eERROR\u003c/severity\u003e          \u003ctype\u003eGENERAL,SECURITY\u003c/type\u003e     \u003c/recipient\u003e ...",t:"recipients data type example"},"461":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/remote (data type for replication link failoverSettings remote property).htm",a:"remote (data type for replication link failoverSettings remote property) The local data type covered in this section describes the remote property of the failoverSettings data type.",t:"remote (data type for replication link failoverSettings remote property)"},"462":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Replication link failoverSettings remote data type properties.htm",a:"The table below describes the properties included in the remote data type that describes the remote property of the failoverSettings data type. Property name Data type Description Notes autoCompleteRecovery Boolean For an active/passive link, specifies whether the complete recovery phase starts ...",t:"Replication link failoverSettings remote data type properties"},"463":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Replication link failoverSettings remote data type example.htm",a:"Here’s an XML example of the remote data type that describes the remote property of the failoverSettings data type; the properties shown are those that are returned by a GET request sent to the primary system for an active/passive link: \u003cremote\u003e     \u003cautoFailover\u003etrue\u003c/autoFailover\u003e ...",t:"Replication link failoverSettings remote data type example"},"464":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/remote (data type for replication link schedule remote property).htm",a:"remote (data type for replication link schedule remote property) The remote data type covered in this section describes the remote property of the schedule data type that describes the schedule resource for replication links.",t:"remote (data type for replication link schedule remote property)"},"465":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Replication link schedule remote data type example.htm",a:"Here’s an XML example of the local data type that describes that describes the local property of the schedule data type: \u003cremote\u003e     \u003cscheduleOverride\u003eNONE\u003c/scheduleOverride\u003e     \u003ctransition\u003e         \u003ctime\u003eSun:00\u003c/time\u003e         \u003cperformanceLevel\u003eHIGH\u003c/performanceLevel\u003e     \u003c/transition\u003e ...",t:"Replication link schedule remote data type example"},"466":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/replicationCollisionSettings.htm",a:"replicationCollisionSettings The replicationCollisionSettings data type describes the replicationCollisionSettings resource for namespaces.",t:"replicationCollisionSettings"},"467":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/replicationCollisionSettings data type properties.htm",a:"The table below describes the properties included in the replicationCollisionSettings data type. Property name Data type Description Notes action String Specifies how HCP should handle objects flagged as replication collisions.  Valid values are: MOVE — Move the object to the .lost+found directory ...",t:"replicationCollisionSettings data type properties"},"468":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/replicationCollisionSettings data type example.htm",a:"replicationCollisionSettings data type example Here’s an XML example of the replicationCollisionSettings data type property: \u003creplicationCollisionSettings\u003e     \u003caction\u003eMOVE\u003c/action\u003e     \u003cdeleteDays\u003e10\u003c/deleteDays\u003e     \u003cdeleteEnabled\u003etrue\u003c/deleteEnabled\u003e \u003c/replicationCollisionSettings\u003e",t:"replicationCollisionSettings data type example"},"469":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/replicationService.htm",a:"replicationService The replicationService data type describes the replication resource.",t:"replicationService"},"470":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/replicationService data type properties.htm",a:"The table below describes the properties included in the replicationService data type. Property name Data type Description Notes allowTenantsToMonitor \tNamespaces Boolean Specifies whether the Tenant Management Console for HCP tenants displays the status of replication of the tenant and its ...",t:"replicationService data type properties"},"471":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/replicationService data type example.htm",a:"Here’s an XML example of the replicationService data type: \u003creplicationService\u003e \t \u003callowTenantsToMonitorNamespaces\u003efalse \t \u003c/allowTenantsToMonitorNamespaces\u003e \t \u003cenableDNSFailover\u003etrue\u003c/enableDNSFailover\u003e \t \u003cnetwork\u003e[hcp_system]\u003c/network\u003e \t \u003cstatus\u003eENABLED\u003c/status\u003e   \u003cverification\u003eONCE\u003c/verification\u003e ...",t:"replicationService data type example"},"472":{i:0.000484684732177879,u:"../Content/HCP Management API Reference/Data Types/Query parameters for replication service actions.htm",a:"To shut down all replication links in which the HCP system participates, you use this query parameter: shutDownAllLinks=reason reason is a text string that specifies the reason why you’re shutting down all links.  This string can be up to 1,024 characters long and can contain any valid UTF-8 ...",t:"Query parameters for replication service actions"},"473":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/retentionClass.htm",a:"retentionClass The retentionClass data type describes the retentionClasses resource.",t:"retentionClass"},"474":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/retentionClass data type properties.htm",a:"The table below describes the properties included in the retentionClass data type. Property name Data type Description Notes allowDisposition Boolean Specifies whether HCP automatically deletes expired objects in the retention class.  Valid values are: true — Automatically delete expired objects. ...",t:"retentionClass data type properties"},"475":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/retentionClass data type example.htm",a:"Here’s an XML example of the retentionClass data type: \u003cretentionClass\u003e     \u003cdescription\u003eImplements Finance department standard #42 - keep for 10          \tyears.\u003c/description\u003e     \u003cvalue\u003eA+10y\u003c/value\u003e     \u003callowDisposition\u003etrue\u003c/allowDisposition\u003e     \u003cname\u003eFN-Std-42\u003c/name\u003e \u003c/retentionClass\u003e",t:"retentionClass data type example"},"476":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/schedule.htm",a:"schedule The schedule data type describes the schedule resource for replication links.",t:"schedule"},"477":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/schedule data type properties.htm",a:"The table below describes the properties included in the schedule data type. Property name Data type Description Notes local local Specifies the schedule for the replication link on the local system. For details, see  local (data type for replication link schedule local property) . This property is ...",t:"schedule data type properties"},"478":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/schedule data type example.htm",a:"Here’s an XML example of the schedule data type: \u003cschedule\u003e     \u003clocal\u003e         \t\u003cscheduleOverride\u003eNONE\u003c/scheduleOverride\u003e         \t\u003ctransition\u003e             \t\t\u003ctime\u003eSun:00\u003c/time\u003e             \t\t\u003cperformanceLevel\u003eHIGH\u003c/performanceLevel\u003e         \t\u003c/transition\u003e         \t\u003ctransition\u003e ...",t:"schedule data type example"},"479":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/searchSecurity.htm",a:"searchSecurity The searchSecurity data type describes the searchSecurity resource for tenants.",t:"searchSecurity"},"480":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/searchSecurity data type property.htm",a:"searchSecurity data type property The table below describes the property included in the searchSecurity data type. Property name Data type Description Notes ipSettings ipSettings Specifies which IP addresses can and cannot access the Search Console for the tenant. For details, see  ipSettings .  ",t:"searchSecurity data type property"},"481":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/searchSecurity data type example.htm",a:"Here’s an XML example of the searchSecurity data type: \u003csearchSecurity\u003e     \u003cipSettings\u003e         \t\u003callowAddresses\u003e             \t\t\u003cipAddress\u003e192.168.140.36\u003c/ipAddress\u003e             \t\t\u003cipAddress\u003e192.168.140.109\u003c/ipAddress\u003e         \t\u003c/allowAddresses\u003e ...",t:"searchSecurity data type example"},"482":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/smtpProtocol.htm",a:"smtpProtocol The smtpProtocol data type describes the smtp resource for HCP namespaces.",t:"smtpProtocol"},"483":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/smtpProtocol data type properties.htm",a:"The table below describes the properties included in the smtpProtocol data type. Property name Data type Description Notes emailFormat String Specifies the format for email objects added through the SMTP protocol.  Valid values are: .eml .mbox The default is .eml.   emailLocation String Specifies ...",t:"smtpProtocol data type properties"},"484":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/smtpProtocol data type example.htm",a:"Here’s an XML example of the smtpProtocol data type: \u003csmtpProtocol\u003e     \u003cemailFormat\u003e.eml\u003c/emailFormat\u003e     \u003cemailLocation\u003e/finance/email/\u003cemailLocation\u003e     \u003cenabled\u003etrue\u003c/enabled\u003e     \u003cipSettings\u003e         \t\u003callowAddresses\u003e             \t\t\u003cipAddress\u003e192.168.45.213\u003c/ipAddress\u003e ...",t:"smtpProtocol data type example"},"485":{i:0.00039431391451038,u:"../Content/HCP Management API Reference/Data Types/statistics (data type for replication link statistics property).htm",a:"statistics (data type for replication link statistics property) The statistics data type covered in this section describes the statistics property of the link data type.",t:"statistics (data type for replication link statistics property)"},"486":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Replication link statistics data type properties.htm",a:"The table below describes the properties included in the statistics data type that describes the statistics property of the link data type. Property name Data type Description Notes bytesPending Long Specifies the approximate amount of data currently waiting to be replicated from the local system to ...",t:"Replication link statistics data type properties"},"487":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Replication link statistics data type example.htm",a:"Here’s an XML example of the statistics data type that describes the statistics property of the link data type; the properties shown are those that are returned by a verbose GET request for an active/active link: \u003cstatistics\u003e     \u003cupToDateAsOfString\u003e2014-03-18T10:47:59-0400\u003c/upToDateAsOfString\u003e ...",t:"Replication link statistics data type example"},"488":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/statistics (data type for tenant and namespace statistics resources).htm",a:"statistics (data type for tenant and namespace statistics resources) The statistics data type covered in this section describes the statistics resource for tenants and namespaces.",t:"statistics (data type for tenant and namespace statistics resources)"},"489":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Tenant and namespace statistics data type properties.htm",a:"The table below describes the properties included in the statistics data type that describes the statistics resource for tenants and namespaces. Property name Data type Description Notes compressedCount Long Specifies the number of compressed objects in a given namespace or in all the namespaces ...",t:"Tenant and namespace statistics data type properties"},"490":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Tenant and namespace statistics data type example.htm",a:"Here’s an XML example of the statistics data type that describes the statistics resource for tenants and namespaces; the properties shown are those that are returned in response to a GET request for tenant statistics where the request is made using a system-level user account: \u003cstatistics\u003e ...",t:"Tenant and namespace statistics data type example"},"491":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/tenant (data type for replication link content tenant resource).htm",a:"tenant (data type for replication link content tenant resource) The tenant data type covered in this section describes the tenant-name resource for replication link content.",t:"tenant (data type for replication link content tenant resource)"},"492":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Replication link content tenant data type properties.htm",a:"The table below describes the properties included in the tenant data type that describes the tenant-name resource for replication link content. Property name Data type Description Notes bytesPending Long For an active/active link, an outbound active/passive link during replication, or an inbound ...",t:"Replication link content tenant data type properties"},"493":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Replication link content tenant data type example.htm",a:"Here’s an XML example of the tenant data type that describes the tenant-name resource for replication link content; the properties shown are those that are returned by a GET request for a tenant in an active/active link: \u003ctenant\u003e     \u003cstatus\u003eREPLICATING\u003c/status\u003e ...",t:"Replication link content tenant data type example"},"494":{i:0.000484684732177879,u:"../Content/HCP Management API Reference/Data Types/Query parameters for replication link content tenant actions.htm",a:"To perform actions on tenants in replication links, you use these query parameters: pause — Pauses replication or recovery for the tenant on the replication link, as applicable. resume — Resumes replication or recovery for the tenant on the replication link, as applicable. You use these query ...",t:"Query parameters for replication link content tenant actions"},"495":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/tenant (data type for tenant resource).htm",a:"The tenant data type covered in this section describes the tenants resource. When you create an HCP tenant, you need to specify query parameters that define the initial user account for the tenant.  When you create the default tenant, you need to specify query parameters that further define the ...",t:"tenant (data type for tenant resource)"},"496":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/tenant data type properties.htm",a:"The table below describes the properties included in the tenant data type that describes the tenants resource. Property name Data type Description Notes administrationAllowed Boolean For an HCP tenant, specifies whether system-level users have administrative access to the tenant.  Valid values are: ...",t:"tenant data type properties"},"497":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/tenant data type example.htm",a:"Here’s an XML example of the tenant data type that describes the tenants resource; the properties shown are those that are returned in response to a verbose GET request for an HCP tenant where the request is made using a system-level user account and the tenant has granted system-level users ...",t:"tenant data type example"},"498":{i:0.000670742297963907,u:"../Content/HCP Management API Reference/Data Types/Query parameters for creating tenants.htm",a:"Query parameters for creating tenants When you create a tenant, you need to specify query parameters on the resource URL.  These parameters differ for HCP tenants and the default tenant.",t:"Query parameters for creating tenants"},"499":{i:0.000346470540451115,u:"../Content/HCP Management API Reference/Data Types/HCP tenant query parameters.htm",a:"When you create an HCP tenant, HCP automatically creates the initial user or group account for the tenant, depending on which query parameters you include in the PUT request. Creating an initial user account To create a tenant with an initial user account, you use these query parameters, which ...",t:"HCP tenant query parameters"},"500":{i:0.000484684732177879,u:"../Content/HCP Management API Reference/Data Types/Default tenant query parameters.htm",a:"When you create the default tenant, HCP automatically creates the default namespace.  To provide information about this namespace, you use these query parameters, which correspond to namespace properties with the same name: enterpriseMode — This parameter is required when you create the default ...",t:"Default tenant query parameters"},"501":{i:0.000601635202100525,u:"../Content/HCP Management API Reference/Data Types/transition.htm",a:"transition The transition data type describes the transition property of the local and remote data types used to describe the local and remote properties of the replication link schedule resource.",t:"transition"},"502":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/transition data type properties.htm",a:"The table below describes the properties included in the transition data type. Property name Data type Description Notes performanceLevel String Specifies the performance level that applies to the replication link on the local or remote system, as applicable, starting at the day and time specified ...",t:"transition data type properties"},"503":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/transition data type example.htm",a:"transition data type example Here’s an XML example of the transition data type: \u003ctransition\u003e     \u003ctime\u003eTue:18\u003c/time\u003e     \u003cperformanceLevel\u003eHIGH\u003c/performanceLevel\u003e \u003c/transition\u003e",t:"transition data type example"},"504":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/userAccount.htm",a:"The userAccount data type describes the userAccounts resource. When you create a user account, you use a query parameter to specify the password for the account.  You use the same query parameter to change the password for a user account.  For information on this query parameter, see  Query ...",t:"userAccount"},"505":{i:0.000619709566806592,u:"../Content/HCP Management API Reference/Data Types/userAccount data type properties.htm",a:"The table below describes the properties included in the userAccount data type. Property name Data type Description Notes allowNamespaceManagement Boolean Specifies whether the user account has the allow namespace management property.  Valid values are: true — The user account has the allow ...",t:"userAccount data type properties"},"506":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/userAccount data type example.htm",a:"Here’s an XML example of the userAccount data type: \u003cuserAccount\u003e     \u003callowNamespaceManagement\u003efalse\u003c/allowNamespaceManagement\u003e     \u003cdescription\u003eCompliance officer.\u003c/description\u003e     \u003cenabled\u003etrue\u003c/enabled\u003e     \u003cforcePasswordChange\u003etrue\u003c/forcePasswordChange\u003e     \u003cfullName\u003eMorgan White\u003c/fullName\u003e ...",t:"userAccount data type example"},"507":{i:0.000761113115631406,u:"../Content/HCP Management API Reference/Data Types/Query parameter for setting user account passwords.htm",a:"You use the password query parameter to specify the password for a new user account and to change the password for an existing user account.  The value of this parameter is the password you want.  For the rules for passwords, see  Passwords . For an example of a request that uses this query ...",t:"Query parameter for setting user account passwords"},"508":{i:0.00158774544192451,u:"../Content/HCP Management API Reference/Data Types/Query parameter for resetting security user passwords.htm",a:"A tenant must at all times have at least one user that can manage user and group accounts.  This means that the tenant must have at least one user or group account with the security role.  If the tenant does not have such a group account and the passwords for all user accounts with the security role ...",t:"Query parameter for resetting security user passwords"},"509":{i:0.000672294585230526,u:"../Content/HCP Management API Reference/Data Types/versioningSettings.htm",a:"versioningSettings The versioningSettings data type describes the versioningSettings resource for namespaces and the versioningSettings property of the namespace and namespaceDefaults data types.",t:"versioningSettings"},"510":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/versioningSettings data type properties.htm",a:"The table below describes the properties included in the versioningSettings data type. Property name Data type Description Notes daysOnPrimary Integer Specifies the number of days old versions of objects must remain in the namespace before they are pruned.  Valid values are integers in the range ...",t:"versioningSettings data type properties"},"511":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/versioningSettings data type example.htm",a:"versioningSettings data type example Here’s an XML example of the versioningSettings data type: \u003cversioningSettings\u003e \t\u003cenabled\u003etrue\u003c/enabled\u003e \t\u003ckeepDeletionRecords\u003etrue\u003c/keepDeletionRecords\u003e \t\u003cprune\u003etrue\u003c/prune\u003e \t\u003cpruneDays\u003e10\u003c/pruneDays\u003e \u003c/versioningSettings\u003e",t:"versioningSettings data type example"},"512":{i:0.00123554274452425,u:"../Content/HCP Management API Reference/Data Types/Specifying retention values.htm",a:"These properties require you to specify a retention value: The retentionDefault property of the complianceSettings data type.  The value of this property can be a special value, offset, retention class, or fixed date. The value property of the retentionClass data type.  The value of this property ...",t:"Specifying retention values"},"513":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Specifying a special value.htm",a:"To specify a special value as a retention value, use one of these: 0 (zero) or Deletion Allowed — Allows the object to be deleted at any time. -1 or Deletion Prohibited — Prevents the object from ever being deleted by means of a normal delete operation.  If the namespace is in enterprise mode, ...",t:"Specifying a special value"},"514":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Specifying an offset.htm",a:"To specify an offset as a retention value, use a standard expression that conforms to this syntax: ^A([+-]\\d+y)?([+-]\\d+M)?([+-]\\d+w)?([+-]\\d+d)?([+-]\\d+h)?([+-]\\d+m)?([+-]\\d+s)?$ The table below explains this syntax. Character Description ^ Start of the expression $ End of the expression ( ) ...",t:"Specifying an offset"},"515":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Specifying a retention class.htm",a:"Specifying a retention class To specify a retention class as a retention value, use this format: C+retention-class-name For example, if the name of the retention class is HlthReg-107, specify the property value as: C+HlthReg-107 The retention class you specify must already exist.",t:"Specifying a retention class"},});