define({"516":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Data Types/Specifying a fixed date.htm",a:"To specify a fixed date as a retention value, you can use either of these formats: Time in seconds since January 1, 1970, at 00:00:00.  For example: 1451520000 The calendar date that corresponds to 1451520000 is Thursday, December 31, 2015, at 00:00:00 EST. Date and time in this ISO 8601 format: ...",t:"Specifying a fixed date"},"517":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Usage considerations/Usage considerations.htm",a:"Usage considerations This chapter contains usage considerations for the HCP management API.",t:"Usage considerations"},"518":{i:0.000941910132821104,u:"../Content/HCP Management API Reference/Usage considerations/Choosing an access method.htm",a:"You can access the HCP system through the management API by specifying either a hostname or an IP address in the resource URL.  If the system uses DNS and you specify a hostname, HCP selects the IP address for you from the currently available nodes.  HCP uses a round-robin method to ensure that it ...",t:"Choosing an access method"},"519":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Usage considerations/Generating templates for resource creation.htm",a:"When you use the HCP management API to create a resource, the best way to ensure that the request body includes the appropriate properties is to use a template.  You can generate your own template by submitting a GET request for an existing resource of the same type.  In the request, include the ...",t:"Generating templates for resource creation"},"520":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/Usage considerations/Modifying resources.htm",a:"The best way to modify a resource through the HCP management API is to: Submit a GET request for the resource you want to modify.  In the request, include the verbose=false query parameter on the resource URL (or omit the verbose parameter to accept the default of false).  This ensures that the ...",t:"Modifying resources"},"521":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/HTTP return codes.htm",a:"This appendix contains a table that describes the possible return codes for HCP management API requests. Code Meaning Methods Description 200 OK All HCP successfully created, retrieved, checked the existence of, modified, or deleted a resource. 302 Found HEAD The resource either does not exist or it ...",t:"HTTP return codes"},"522":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Sample Java application.htm",a:"Sample Java application This appendix contains a sample Java® application that uses the HCP management API to define various resources in an HCP system.  It also shows the content of the JSON files that serve as input to the application.",t:"Sample Java application"},"523":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/What the application does.htm",a:"The sample Java application shown in this appendix uses the HCP management API to: Create one HCP tenant Give the initial tenant-level user account the administrator role Create a tenant-level user account with the monitor and compliance roles Configure the Tenant Management Console Enable syslog ...",t:"What the application does"},"524":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Assumptions.htm",a:"The sample Java application assumes: That the system against which you’re running the application is named hcp-ma.example.com The existence of a system-level HCP user account with the username rsilver and the password p4ssw0rd That all input files are located in the /home/rsilver/MAPI directory The ...",t:"Assumptions"},"525":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Required libraries.htm",a:"To run the sample application presented in this appendix, you need to have these Java libraries installed: HttpClient 4.0 (httpclient-4.0.jar) HttpCore 4.0 (httpcore-4.0.1.jar) Commons Logging 1.1 (commons-logging-1.1.jar) You can download the first two of these libraries from: ...",t:"Required libraries"},"526":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON file.htm",a:"Input JSON file The sample Java application uses the JSON files shown in the following sections.",t:"Input JSON file"},"527":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for creating the HCP tenant.htm",a:"Here’s the content of the JSON file that creates an HCP tenant named Finance. The name of the file is FinanceTenant.json.  For the username and password of the initial user account for this tenant, the sample application specifies lgreen and start123, respectively.  {    \"name\" : \"Finance\",    ...",t:"JSON file for creating the HCP tenant"},"528":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for modifying the initial user account.htm",a:"JSON file for modifying the initial user account Here’s the content of the JSON file that adds the administrator role to the lgreen user account.  The name of the file is lgreen-UAroles.json. {   \"roles\" : {       \"role\" : [ \"SECURITY\", \"ADMINISTRATOR\" ]    } }",t:"JSON file for modifying the initial user account"},"529":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for creating the user account with the compliant and monitor roles.htm",a:"Here’s the content of the JSON file that creates a user account with the monitor and compliance roles.  The name of the file is mwhite-UA.json.  For the username and password for this account, the sample application specifies mwhite and start123, respectively. {    \"username\" : \"mwhite\",  ...",t:"JSON file for creating the user account with the compliant and monitor roles"},"530":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for configuring the Tenant Management Console.htm",a:"Here’s the content of the JSON file that configures the Tenant Management Console for the Finance tenant.  The name of the file is FinanceMgmtConsole.json. {   \"ipSettings\" : {        \"allowAddresses\" : {            \"ipAddress\" : [ \"192.168.103.18\", \"192.168.103.24\", \"192.168.103.25\" ]        }, ...",t:"JSON file for configuring the Tenant Management Console"},"531":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for modifying the tenant.htm",a:"Here’s the content of the JSON file that enables syslog logging for the Finance tenant and also enables system-level administrative access to the tenant.  The name of the file is modFinance.json. {    \"administrationAllowed\" : true,    \"maxNamespacesPerUser\" : 5,    \"syslogloggingEnabled\" : true }",t:"JSON file for modifying the tenant"},"532":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for creating the namespaces.htm",a:"Here’s the content of the JSON file that creates a namespace named Accounts-Receivable.  The name of the file is AccountsRecNS.json. {     \"name\" : \"Accounts-Receivable\",     \"description\" : \"Created for the Finance department at Example Company by Lee Green\",     \"hashScheme\" : \"SHA-256\", ...",t:"JSON file for creating the namespaces"},"533":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for modifying a namespace.htm",a:"JSON file for modifying a namespace Here’s the content of the JSON file that enables disposition for the Accounts-Receivable namespace.  The name of the file is AcctsRecCompliance.json. {    \"dispositionEnabled\" : true }",t:"JSON file for modifying a namespace"},"534":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for configuring the HTTP protocol.htm",a:"Here’s the content of the JSON file that is used to configure the HTTP protocol for both namespaces.  The name of the file is http.json. {    \"httpsEnabled\" : true,    \"httpEnabled\" : false,    \"restEnabled\" : \"true\",    \"restRequiresAuthentication\" : true,    \"httpActiveDirectorySSOEnabled\" : true, ...",t:"JSON file for configuring the HTTP protocol"},"535":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for creating the user account with no roles.htm",a:"Here’s the content of the JSON file that creates a user account with the username pblack.  The name of the file is pblack-UA.json.  For the password for this account, the sample application specifies start123. {    \"username\" : \"pblack\",    \"fullName\" : \"Paris Black\",    \"description\" : \"Data access ...",t:"JSON file for creating the user account with no roles"},"536":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for granting data access permissions to the user account.htm",a:"Here’s the content of the JSON file that grants data access permissions to the user account with the username pblack.  The name of the file is pblack-UAperms.json. {    \"namespacePermission\" : [ {        \"namespaceName\" : \"Accounts-Receivable\",        \"permissions\" : {            \"permission\" : [ ...",t:"JSON file for granting data access permissions to the user account"},"537":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for creating the retention class.htm",a:"Here’s the content of the JSON file that creates a retention class named Fn-Std-42 for the Accounts-Receivable namespace.  The name of the file is RC-FN-Std-42.json. {    \"name\" : \"FN-Std-42\",    \"description\" : \"Implements Finance department standard #42 - keep for 10 years.\",    \"value\" : \"A+10y\", ...",t:"JSON file for creating the retention class"},"538":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JSON file for creating the replication link.htm",a:"Here’s the content of the JSON file that creates a replication link named MA-CA.  The name of the file is LinkMA-CA.json. {    \"name\" : \"MA-CA\",    \"description\" : \"Active/active link between systems in MA and CA\",    \"type\" : \"ACTIVE_ACTIVE\",    \"connection\" : {        \"remoteHost\" : ...",t:"JSON file for creating the replication link"},"539":{i:0.000325206818646998,u:"../Content/HCP Management API Reference/SampleJavaApp/Input JSON files/JAVA application.htm",a:"Here is the sample Java application that uses the JSON files shown in the preceding sections. import sun.misc.BASE64Encoder; import java.security.MessageDigest; import java.security.NoSuchAlgorithmException; import java.security.KeyManagementException; import java.io.*; import java.net.URI; import ...",t:"JAVA application"},"540":{i:0.000601635202100525,u:"../Content/HCP Management API Reference/Management API XML schema/Management API XML schema.htm",a:"HCP uses an XML schema to validate the XML in management API request bodies and to generate the XML in management API response bodies.  To retrieve this schema from the HCP system, you use a URL with this format: https://(admin|tenant-name).hcp-domain-name:9090/static/     mapi-7_0_0.xsd To retrieve ...",t:"Management API XML schema"},"541":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Preface/QU - HCPHelpFront.htm",a:"HCP Metadata Query API Reference describes the Hitachi Content Platform (HCP) metadata query API. This RESTful HTTP API enables you to query namespaces programatically for objects that satisfy criteria you specify. The book explains how to construct and perform queries and describes query results. ...",t:"Welcome to HCP Metadata Query API Reference"},"542":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Preface/QU - SyntaxNotation.htm",a:"The table below describes the conventions used for the syntax of commands, expressions, URLs, and object names in this book. Notation Meaning Example boldface Type exactly as it appears in the syntax (if the context is case insensitive, you can vary the case of the letters you type) This book shows: ...",t:"Syntax notation"},"543":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Introduction to the HCP metadata query API.htm",a:"The HCP metadata query API is a RESTful HTTP API that lets you query HCP for objects that meet specific criteria.  In response to a query, HCP returns metadata for the matching objects.  With the metadata query API, you can query not only for objects currently in the repository but also for ...",t:"Introduction to the HCP metadata query API"},"544":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/About the metadata query API.htm",a:"The HCP metadata query API lets you query namespaces for objects that match criteria you specify.  Query criteria can be based on system metadata, custom metadata, ACLs, and operations performed on objects.  The API does not support queries based on object content. In response to a query, HCP ...",t:"About the metadata query API"},"545":{i:0.000417349613131507,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Types of queries.htm",a:"Types of queries The metadata query API supports two types of queries: object-based queries and operation-based queries.  These query types have different request formats and return different information about objects in the result set.  However, they have similar response formats.",t:"Types of queries"},"546":{i:0.000492791853021121,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Object-based queries.htm",a:"Object-based queries search for objects currently in the repository based on any combination of system metadata, object paths, custom metadata that’s well-formed XML, ACLs, and content properties.  (For information on content properties, see  Content properties .)  With object-based queries, you use ...",t:"Object-based queries"},"547":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Operation-based queries.htm",a:"Operation-based queries search for objects based on any combination of create, delete, and disposition operations and, for HCP namespaces that support versioning, purge and prune operations.  Operation-based queries are useful for applications that need to track changes to namespace content. In ...",t:"Operation-based queries"},"548":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Query results.htm",a:"By default, for both types of queries, HCP returns only basic information about the objects that meet the query criteria.  This information includes the object URL, the version ID, the operation type, and the change time.  If you specify a verbose entry with a value of true in the request body, HCP ...",t:"Query results"},"549":{i:0.000878063585554052,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Object-based query results.htm",a:"Object-based queries return information about objects that currently exist in the repository.  For objects with multiple versions, these queries return information only for the current version. Object-based queries return information only about objects that have been indexed.  For more information ...",t:"Object-based query results"},"550":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Operation-based query results.htm",a:"HCP maintains records of object creation, deletion, disposition, prune, and purge operations (also called transactions).  These records can be retrieved through operation-based queries.  The HCP system configuration determines how long HCP keeps deletion, disposition, prune, and purge records.  HCP ...",t:"Operation-based query results"},"551":{i:0.000417349613131507,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Paged queries.htm",a:"With paged queries, you issue multiple requests that each retrieve a limited number of results.  You would use a paged query, for example, if: The size of the response to a single request would reduce the efficiency of the client.  In this situation, you can use a paged query to prevent overloading ...",t:"Paged queries"},"552":{i:0.00116371147894278,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Object index.htm",a:"Object index To support object-based queries, HCP maintains an index of objects in the repository.  This index is based on object paths, system metadata, custom metadata that’s well formed XML, and ACLs.",t:"Object index"},"553":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Namespace indexing.htm",a:"Indexing is enabled on a per-namespace basis.  If a namespace is not indexed, object-based queries do not return results for objects in the namespace. HCP periodically checks indexable namespaces for new objects and for objects with metadata that has changed since the last check.  When it finds new ...",t:"Namespace indexing"},"554":{i:0.000882298311069935,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Content properties.htm",a:"A content property is a named construct used to extract an element or attribute value from custom metadata that\u0027s well-formed XML.  Each content property has a data type that determines how the property values are treated when indexing and searching. A content property is defined as either ...",t:"Content properties"},"555":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Access and authentication.htm",a:"With the HCP metadata query API, each request you make must specify a URL that represents an HCP tenant, the default tenant, or all tenants to which system-level users have access.  Each request must also include the credentials for the user account you’re using to access namespaces through the ...",t:"Access and authentication"},"556":{i:0.000474479191809253,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Request URL.htm",a:"Request URL The URL format in a metadata query API request depends on whether you use a hostname or IP address to connect to the HCP system and on the namespaces you want to query.",t:"Request URL"},"557":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Connecting using a hostname.htm",a:"When connecting to HCP using a hostname, the URL format you use depends on the namespaces you are querying: To query one or more namespaces owned by an HCP tenant, use this format: http[s]://hcp-tenant-name.hcp-domain-name/query For example: https://europe.hcp.example.com/query To use this format, ...",t:"Connecting using a hostname"},"558":{i:0.000474479191809253,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Connecting using an IP address.htm",a:"The core hardware for an HCP system consists of servers, called nodes, that are networked together. When you access an HCP system, your point of access is an individual node.  Typically, you let HCP choose the node on which to process a metadata query API request.  You can, however, use an IP ...",t:"Connecting using an IP address"},"559":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Connecting using a hosts file.htm",a:"All operating systems have a hosts file that contains mappings from hostnames to IP addresses.  If the HCP system does not support DNS, you can use this file to enable access to tenants by hostname. The location of the hosts file depends on the client operating system: On Windows®, by default:  ...",t:"Connecting using a hosts file"},"560":{i:0.000474479191809253,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Authentication.htm",a:"To use the metadata query management API, you need either a system-level or tenant-level user account that’s defined in HCP.  If HCP is configured to support Windows Active Directory® (AD), applications can also use an AD user account that HCP recognizes to access HCP through the metadata query API. ...",t:"Authentication"},"561":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/HCP authentication through the metadata query management API.htm",a:"To authenticate with HCP through the metadata query management API, you need to construct an authentication token from a  system-level user account or a tenant-level user account and then submit it using a request header with all requests. Successful authentication requires encoding your account ...",t:"HCP authentication through the metadata query management API"},"562":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Authentication token.htm",a:"An authentication token consists of a username in Base64-encoded format and a password that’s hashed using the MD5 hash algorithm, separated by a colon, like this: base64-encoded-username:md5-hashed-password  For example, here’s the token for the Base64-encoded username myuser and the MD5-hashed ...",t:"Authentication token"},"563":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Authorization header.htm",a:"You use the HTTP Authorization request header to provide the authentication token for a metadata query API request.  The value of this header is HCP followed by the authentication token, in this format: Authorization: HCP authentication-token  For example, here’s the Authorization header for a user ...",t:"Authorization header"},"564":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Active Directory user authentication through the metadata query management API.htm",a:"To authenticate with HCP with Active Directory, you need to construct an authentication token from a AD user account and then submit it using a request header with all requests. The username and password does not need to be encoded.",t:"Active Directory user authentication through the metadata query management API"},"565":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Active Directory authentication token.htm",a:"Active Directory authentication token An AD authentication token consists of an AD username and password separated by a colon, like this: AD-username:AD-password For example, here’s the token for the username lgreen and the password p4ssw0rd: lgreen@example.com:p4sswOrd",t:"Active Directory authentication token"},"566":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Active Directory authorization header.htm",a:"You use the HTTP Authorization request header to provide the authentication token for an AD user accessing HCP through the metadata query management API. The value of this header is AD followed by the authentication token, in this format: Authorization: AD authentication-token For example, here’s ...",t:"Active Directory authorization header"},"567":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query requests/Query requests.htm",a:"Query requests This chapter describes how to construct both object-based and operation-based query requests.",t:"Query requests"},"568":{i:0.000878063585554052,u:"../Content/HCP Metadata Query API Reference/Query requests/Request format.htm",a:"You use the HTTP POST method to send a metadata query API request to HCP.  The POST request for both object-based and operation-based queries has these elements: A request URL. For information on request URL formats, see  Request URL . Optionally, if the URL starts with an IP address, an HTTP Host ...",t:"Request format"},"569":{i:0.000474479191809253,u:"../Content/HCP Metadata Query API Reference/Query requests/Object-based query requests.htm",a:"Object-based query requests The body of an object-based query request consists of entries in XML or JSON format.",t:"Object-based query requests"},"570":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query requests/XML request body for object-based queries.htm",a:"The XML request body for an object-based query must contain a top-level queryRequest entry, an object entry, and a query entry.  All other entries are optional. The XML request body for an object-based query has the format shown below.  The entries under object can be specified in any order. ...",t:"XML request body for object-based queries"},"571":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query requests/JSON request body for object-based queries.htm",a:"The JSON request body for an object-based query must contain an unnamed top-level entry, an object entry, and a query entry.  All other entries are optional. The JSON request body for an object-based query has the format shown below.  The entries under object can be specified in any order. { ...",t:"JSON request body for object-based queries"},"572":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query requests/Request object body contents.htm",a:"Request object body contents The following sections describe the entries in an object-based metadata query API request body.",t:"Request object body contents"},"573":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query requests/Top-level entry.htm",a:"Top-level entry XML has a single top-level queryRequest entry.  JSON has a corresponding unnamed top-level entry.  All request bodies must contain this entry.",t:"Top-level entry"},"574":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query requests/object entry.htm",a:"The object entry is required for object-based requests.  It must contain the query entry and can contain any combination of the other entries listed in the table below. Entry Valid values Description query A query expression Specifies the query criteria.  This entry is required. For more information ...",t:"object entry"},"575":{i:0.000703914227027005,u:"../Content/HCP Metadata Query API Reference/Query requests/sort entry.htm",a:"You use the sort entry to specify the order in which object-based query results are listed.  The entry contains a comma-separated list of properties and a sort-order indicator, in this format: object-property[+(asc|desc)][,.object-property[+(asc|desc)]]... asc means sort in ascending order.  desc ...",t:"sort entry"},"576":{i:0.000380492495337703,u:"../Content/HCP Metadata Query API Reference/Query requests/facets entry.htm",a:"You use the facets entry to request summary information for the returned values of specified object properties.  For each specified property, HCP returns a list of up to one hundred object property values that occur most frequently in the result set.  Each entry in the list has the number of objects ...",t:"facets entry"},"577":{i:0.000380492495337703,u:"../Content/HCP Metadata Query API Reference/Query requests/Query expressions.htm",a:"With object-based queries, you specify a query expression in the query request entry.  Query expressions have this format: [+|-]criterion [[+|-]criterion]... In this expression, [+|-] is an optional Boolean operator and criterion is one of: A single text-based or property-based criterion. One or ...",t:"Query expressions"},"578":{i:0.00259556900439603,u:"../Content/HCP Metadata Query API Reference/Query requests/Text-based criteria.htm",a:"Text-based criteria let you perform queries based on object paths and the full-text content of custom metadata.  Queries that use text-based criteria find objects with matching custom metadata only in namespaces that are configured to support full-text searches of custom metadata. To perform queries ...",t:"Text-based criteria"},"579":{i:0.00263929433218353,u:"../Content/HCP Metadata Query API Reference/Query requests/Property-based criteria.htm",a:"Property-based criteria let you query for objects based on specified object property values.  The format for a simple property-based criterion is: property:value For example, this expression finds objects that are on hold: hold:true When querying for a value that’s a negative number, enclose the ...",t:"Property-based criteria"},"580":{i:0.000433014062543432,u:"../Content/HCP Metadata Query API Reference/Query requests/Query expression considerations.htm",a:"These considerations apply to query expressions, whether they contain property-based criteria, text-based criteria, or a combination of both:If the query expression consists of a single criterion without a Boolean operator, objects in the result set must meet the criterion.  For example, this query ...",t:"Query expression considerations"},"581":{i:0.00188430858278698,u:"../Content/HCP Metadata Query API Reference/Query requests/customMetadataContent property.htm",a:"To search for objects based on the full-text content of custom metadata, you specify the customMetadataContent property in a query expression.  Criteria that use this property find objects only in namespaces that have full-text indexing of custom metadata enabled. When custom metadata is indexed for ...",t:"customMetadataContent property"},});