define({"582":{i:0.00188430858278698,u:"../Content/HCP Metadata Query API Reference/Query requests/aclGrant property.htm",a:"To query for objects based on the content of ACLs, you specify the aclGrant property in a query expression.  Valid values for this property have these formats: \"permissions\" \"permissions,USER[,location,username]\" \"permissions,GROUP,location,(ad-group-name|all_users|authenticated)\" In these formats: ...",t:"aclGrant property"},"583":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query requests/Query expression examples.htm",a:"Here are some examples of query expressions that use both text-based criteria and property-based criteria: This expression returns metadata for objects that have a retention setting of Deletion Allowed, are not on hold, and may or may not have a path or custom metadata that contains the term report: ...",t:"Query expression examples"},"584":{i:0.00071957867643893,u:"../Content/HCP Metadata Query API Reference/Query requests/Paged queries with object-based requests.htm",a:"To use a paged query with object-based requests: In the first request, use a count entry with a value of zero to get a response that does not include any object records but contains a totalResults value that specifies the  total number of objects that meet the query criteria. In each request after ...",t:"Paged queries with object-based requests"},"585":{i:0.000529089587223117,u:"../Content/HCP Metadata Query API Reference/Query requests/Paged queries with 100,000 or fewer matching objects.htm",a:"If no more than 100,000 objects match the query criteria, use the offset entry to page through the result set.  In each request after the first one with a count value greater than 0, include an offset entry that specifies the number of results to skip when returning the next page of results.  For ...",t:"Paged queries with 100,000 or fewer matching objects"},"586":{i:0.000529089587223117,u:"../Content/HCP Metadata Query API Reference/Query requests/Paged queries with more than 100,000 matching objects.htm",a:"If a large number of objects match the query criteria, a paged query can consume a large amount of memory.  If more than 100,000 objects match the query criteria, limit memory use by using multiple paged queries.  Each paged query should retrieve results for no more than 100,000 objects.  To do ...",t:"Paged queries with more than 100,000 matching objects"},"587":{i:0.000474479191809253,u:"../Content/HCP Metadata Query API Reference/Query requests/Operation-based query requests.htm",a:"Operation-based query requests The body of an operation-based query request consists of entries in XML or JSON format.",t:"Operation-based query requests"},"588":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query requests/XML request body for operation-based queries.htm",a:"XML request body for operation-based queries The XML request body for an operation-based query must contain a top-level queryRequest entry and, except when requesting all available information, an operation entry.  All other entries are optional.",t:"XML request body for operation-based queries"},"589":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query requests/JSON request body for operation-based queries.htm",a:"The JSON request body for an operation-based query must contain an unnamed top-level entry and, except when requesting all available information, the operation entry.  All other entries are optional. The JSON request body has the format shown below.  Entries at each hierarchical level can be in any ...",t:"JSON request body for operation-based queries"},"590":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query requests/Request operation body contents.htm",a:"Request operation body contents The following sections describe the entries in an operation-based metadata query API request body.",t:"Request operation body contents"},"591":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query requests/operation entry.htm",a:"Except when requesting all available information, the operation entry is required for operation-based queries.  It can contain any combination of the entries listed in the table below. Entry Valid values Description count One of: -1, to request all operation records that meet the query criteria A ...",t:"operation entry"},"592":{i:0.00039431391451038,u:"../Content/HCP Metadata Query API Reference/Query requests/lastResult entry.htm",a:"Use the lastResult entry only in the second through final requests of a paged query.  This entry identifies the last record that was returned in the previous query so that HCP can retrieve the next set of records.  The entry contains the child entries described in the table below. Entry Valid values ...",t:"lastResult entry"},"593":{i:0.00039431391451038,u:"../Content/HCP Metadata Query API Reference/Query requests/systemMetadata entry.htm",a:"The systemMetadata entry specifies the criteria that the returned operation records must match.  The entry contains the child entries listed in the table below.  Some of the subentries, such as changeTime, have children.  In this table, the parent entries are immediately followed by their children. ...",t:"systemMetadata entry"},"594":{i:0.000733400095611606,u:"../Content/HCP Metadata Query API Reference/Query requests/paged queries with operation-based requests.htm",a:"To use a paged query with operation-based query requests: Optionally, specify a count entry in each request body.  If you omit this entry, HCP returns ten thousand operation records per request. For each request after the first, specify a lastResult entry containing the values of the urlName, ...",t:"paged queries with operation-based requests"},"595":{i:0.00469752762177589,u:"../Content/HCP Metadata Query API Reference/Query requests/Object properties.htm",a:"The table below describes the object properties that you can specify in these contexts: objectProperties entry sort entry Query entry In the sort and objectProperties entries, you specify only the object property name.  In query expressions, you specify both the property name and one or more values ...",t:"Object properties"},"596":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query responses/Query responses.htm",a:"This chapter describes the response format for both object-based queries and operation-based queries. In some situations, when you specify one or more namespaces in a query request, the result may differ depending on whether the query is object-based or operation-based.  For more information on ...",t:"Query responses"},"597":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query responses/Response body.htm",a:"The body of the response to a metadata query API request contains XML or JSON that lists the objects or operation records that match the request criteria.  Object-based query responses list objects.  Operation-based query responses return operation records. Each object or operation record is ...",t:"Response body"},"598":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query responses/XML response bodies.htm",a:"XML response bodies The format of an XML query response differs depending on the type of the query.",t:"XML response bodies"},"599":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query responses/XML reponse body for object-based queries.htm",a:"An XML response for an object-based query has this format: \u003c?xml version=\u00271.0\u0027 encoding=\u0027UTF-8\u0027?\u003e \u003cqueryResult xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"         xsi:noNamespaceSchemaLocation=\"/static/xsd/query-result-6.0.xsd\"\u003e     \u003cquery\u003e ...",t:"XML reponse body for object-based queries"},"600":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query responses/XML response body for operation-based queries.htm",a:"An XML response for an operation-based query has this format: \u003c?xml version=\u00271.0\u0027 encoding=\u0027UTF-8\u0027?\u003e \u003cqueryResult xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"         \t \txsi:noNamespaceSchemaLocation=\"/static/xsd/query-result-6.0.xsd\"\u003e     \u003cquery          \tstart=\"start-time-in-milliseconds\" ...",t:"XML response body for operation-based queries"},"601":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query responses/JSON response bodies.htm",a:"JSON response bodies The format of a JSON query response differs depending on the type of the query.",t:"JSON response bodies"},"602":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query responses/JSON response body for object-based queries.htm",a:"A JSON response for an object-based query has this format: { \t    \"queryResult\":{ \t        \"query\":{ \t            \t\"expression\":\"query-request-entry\"         \t},         \t\"resultSet\":[{             \t\t{             \t    \t\"urlName\":\"object-url\",                 \t\t\t\"operation\":\"operation-type\",  ...",t:"JSON response body for object-based queries"},"603":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query responses/JSON response body for operation-based queries.htm",a:"A JSON response for an operation-based query has this format: {     \"queryResult\":{     \t\"query\":{         \t\"end\":end-time-in-milliseconds,         \t\"start\":start-time-in-milliseconds    \t},     \"resultSet\":[{         {             \"urlName\":\"object-url\",             \"operation\":\"operation-type\",  ...",t:"JSON response body for operation-based queries"},"604":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query responses/Response body contents.htm",a:"Both XML and JSON have a single top-level queryResult entry.  The queryResult entry contains one of each of the entries listed in the table below. Entry Description query For object-based queries, a container for the query expression. For operation-based queries, a specification of the time period ...",t:"Response body contents"},"605":{i:0.000380492495337703,u:"../Content/HCP Metadata Query API Reference/Query responses/query entry.htm",a:"The query entry contains the entry and properties described in the table below. Entry/Property Description expression (entry, object-based queries only) A container for value of the query request entry. start (property, operation-based queries only) The value of the start request property, in ...",t:"query entry"},"606":{i:0.000380492495337703,u:"../Content/HCP Metadata Query API Reference/Query responses/resultSet entry.htm",a:"resultSet entry The resultSet entry has one child object entry for each object or operation record that matches the query criteria. The metadata query API does not return results for open objects (that is, objects that are still being written or were never closed).",t:"resultSet entry"},"607":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query responses/object entry.htm",a:"In XML, the object entries are child elements of the resultSet entry.  In JSON, the object entries are unnamed objects in the resultSet entry. The information that the object entry provides depends on the type of the query request: For object-based queries, each object entry provides information ...",t:"object entry"},"608":{i:0.000380492495337703,u:"../Content/HCP Metadata Query API Reference/Query responses/status entry.htm",a:"The status entry has the properties listed in the table below. Property Description code An indication of whether all results have been returned: COMPLETE — All results have been returned.  This value is returned if the response includes all results or if the response includes the last result for a ...",t:"status entry"},"609":{i:0.000380492495337703,u:"../Content/HCP Metadata Query API Reference/Query responses/contentProperties entry.htm",a:"If the request included a contentProperties entry with a value of true, the result has a contentProperties entry containing zero or more contentProperty entries.Each contentProperty entry contains the entries listed in the table below. Entry Description expression The expression that specifies how ...",t:"contentProperties entry"},"610":{i:0.000380492495337703,u:"../Content/HCP Metadata Query API Reference/Query responses/facets entry.htm",a:"The facets response entry has one or more child facet entries, as described in the table below. Entry/Property Description facet Child of the facets entry.  This entry contains the property property and one or more frequency entries. property (property) Property of the facet entry.  The value for ...",t:"facets entry"},"611":{i:0.000601635202100525,u:"../Content/HCP Metadata Query API Reference/Query responses/HTTP return codes.htm",a:"The table below describes the possible HTTP return codes for metadata query API requests. Code Meaning Description 200 OK HCP successfully processed the query. 400 Bad Request The request syntax is invalid.  Possible reasons for this error include: The query request contains an invalid URL query ...",t:"HTTP return codes"},"612":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Query responses/HTTP response headers.htm",a:"The response to a valid query request includes a Transfer-Encoding header with a value of chunked and an Expires header with a value of Thu, 01 Jan 1970 00:00:00 GMT. If the query request specifies a gzip-compressed response, the response includes a Content-Encoding header with a value of gzip. If ...",t:"HTTP response headers"},"613":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Examples/Examples.htm",a:"This chapter contains examples of both object-based and operation-based queries.  The examples show some of the ways you can use the metadata query API to get information about namespace content.  Specifically, they show how to: With object-based queries: Query for objects based on custom metadata ...",t:"Examples"},"614":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Examples/Object-based query examples.htm",a:"Object-based query examples This section contains examples of object-based queries.",t:"Object-based query examples"},"615":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Examples/Querying for custom metadata content example.htm",a:"Here’s a sample metadata query API request that retrieves metadata for all objects that: Are in namespaces owned by the europe tenant Have custom metadata that contains an element named department with a value of Accounting The query uses an XML request body and requests results in JSON format. In ...",t:"Querying for custom metadata content example"},"616":{i:0.000529089587223117,u:"../Content/HCP Metadata Query API Reference/Examples/Using a paged query to retrieve a list of all objects in a namespace example.htm",a:"The Java® example below implements a paged query that uses multiple requests to retrieve all objects in a namespace.  The example returns metadata for fifty objects per request and also returns information about the size and ingest time of each object in the result set. This example uses the ...",t:"Using a paged query to retrieve a list of all objects in a namespace example"},"617":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Examples/Using a faceted query to retrieve object information example.htm",a:"Here’s a sample metadata query API request that retrieves metadata for all objects added to namespaces owned by the europe tenant between March 1, 2012, and March 31, 2012, inclusive.  The verbose entry specifies true to request all metadata for each object in the result set.  This request also ...",t:"Using a faceted query to retrieve object information example"},"618":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Examples/Querying for replication collisions in a namespace example.htm",a:"Here’s a sample metadata query API request that retrieves metadata for all objects that are: Flagged as replication collisions In the finance namespace owned by the europe tenant The query uses an XML request body and requests results in XML format. This request returns only the URL, version ID, ...",t:"Querying for replication collisions in a namespace example"},"619":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Examples/Listing content properties example.htm",a:"Here’s a sample metadata query API request that lists the content properties for all indexed objects in the medical namespace owned by the employees tenant.  The query uses an XML request body and requests results in XML format. Request body in the XML file named MedicalQuery.xml \u003cqueryRequest\u003e ...",t:"Listing content properties example"},"620":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Examples/Operation-based query examples.htm",a:"Operation-based query examples This section contains examples of operation-based queries.",t:"Operation-based query examples"},"621":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Examples/Retrieving all operation records for all existing and deleted objects in a directory example.htm",a:"Here’s a sample metadata query API request that retrieves operation records for all objects currently in or deleted from the sales namespace owned by the midwest tenant.  The query uses an XML request body and requests results in JSON format. The verbose entry is set to true to request detailed ...",t:"Retrieving all operation records for all existing and deleted objects in a directory example"},"622":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Examples/Retrieving metadata for changed objects example.htm",a:"Here’s a sample metadata query API request that uses a JSON body specified directly in the cURL command line and Python code to retrieve operation records for objects that: Are in the finance namespace, which is owned by the europe tenant Were modified during 2011 The start entry specifies ...",t:"Retrieving metadata for changed objects example"},"623":{i:0.000948603461434298,u:"../Content/HCP Metadata Query API Reference/Examples/Using a paged query to retrieve a large number of records example.htm",a:"The Python example below implements a paged query that uses multiple requests to retrieve a large number of operation records in batches of 50 per request.  This query retrieves records for all create operations on objects in the /customers/widgetco/orders directory in the default namespace and ...",t:"Using a paged query to retrieve a large number of records example"},"624":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Examples/Checking for replication collisions example.htm",a:"Here’s a sample metadata query API request that checks whether any namespaces owned by the europe tenant currently contain objects that are flagged as replication collisions.  The response to the query does not include operation records for any of those objects, but the status of INCOMPLETE ...",t:"Checking for replication collisions example"},"625":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Usage considerations/Usage considerations.htm",a:"Usage considerations This chapter contains usage considerations for the metadata query API.",t:"Usage considerations"},"626":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Usage considerations/Hostname and IP address considerations for paged queries.htm",a:"For operation-based queries, HCP caches each query for a period of time on the node that receives the request.  If you use an IP address in the URL in each request, you access the cached query and avoid having to recreate the query with each request.  This can significantly improve the performance ...",t:"Hostname and IP address considerations for paged queries"},"627":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Usage considerations/Maximum concurrent queries.htm",a:"HCP nodes can each process a maximum of five concurrent queries.  If a query arrives at a node that is currently processing five queries, HCP queues the query and processes it as soon as the current queries are complete. A 503 (Service Unavailable) error code is only returned if so many queries are ...",t:"Maximum concurrent queries"},"628":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Usage considerations/Query performance with object-based queries.htm",a:"For improved query performance with object-based queries: Do not specify a true value for the verbose request entry. Specify the facets or sort request entries only when necessary. In the objectProperties entry, specify only urlName, objectPath, version, and changeTimeMilliseconds. When performing ...",t:"Query performance with object-based queries"},"629":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Usage considerations/Queries based on object names.htm",a:"Queries based on object names The metadata query API relies on UTF-8 encoding conventions to find objects by name.  If the name of an object is not UTF-8 encoded, queries for the object by name may return unexpected results.",t:"Queries based on object names"},"630":{i:0.00176745929055485,u:"../Content/HCP Metadata Query API Reference/Usage considerations/Queries specified namespaces.htm",a:"When you specify namespaces in query requests, responses to object-based queries differ from responses to operation-based queries in these situations: If you specify a namespace that doesn’t exist: In an object-based query, HCP returns zero results.  If you specify both namespaces that exist and ...",t:"Queries specified namespaces"},"631":{i:0.000325206818646998,u:"../Content/HCP Metadata Query API Reference/Usage considerations/HTTP return code considerations.htm",a:"HTTP return code considerations Applications should account for all possible HTTP return codes for query requests.  For a list of possible HTTP return codes for query requests, see  HTTP return codes .",t:"HTTP return code considerations"},"632":{i:0.000325206818646998,u:"../Content/Using a Namespace/Preface/UN - HelpFront.htm",a:"Using a Namespace is your guide to working with Hitachi Content Platform (HCP) namespaces. It introduces HCP concepts and describes how HCP represents content using familiar data structures. It includes instructions for accessing a namespace and explains how to store, view, retrieve, and delete ...",t:"Welcome to Using a Namespace"},"633":{i:0.000325206818646998,u:"../Content/Using a Namespace/Preface/Syntax notation.htm",a:"The table below describes the conventions used for the syntax of commands, expressions, URLs, and object names in this book. Notation Meaning Example boldface Type exactly as it appears in the syntax (if the context is case insensitive, you can vary the case of the letters you type) This book ...",t:"Syntax notation"},"634":{i:0.000325206818646998,u:"../Content/Using a Namespace/Parts/Overview.htm",a:"Overview This part contains these chapters: Introduction to Hitachi Content Platform Object representation Object properties",t:"Overview"},"635":{i:0.000417349613131507,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/Introduction to Hitachi Content Platform.htm",a:"Hitachi Content Platform (HCP) is a distributed storage system designed to support large, growing repositories of fixed-content data.  HCP stores objects that include both data and metadata that describes the data. HCP provides access to stored objects through a variety of industry-standard ...",t:"Introduction to Hitachi Content Platform"},"636":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/About Hitachi Content Platform.htm",a:"Hitachi Content Platform is a combination of hardware and software that provides an object-based data storage environment.  An HCP repository stores all types of data, from simple text files to medical images to multigigabyte database images. HCP provides easy access to the repository for adding, ...",t:"About Hitachi Content Platform"},"637":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/Object-based storage.htm",a:"HCP stores objects in the repository.  Each object permanently associates data HCP receives (for example, a document, an image, or a movie) with information about that data, called metadata. An object encapsulates: Fixed-content data — An exact digital reproduction of data as it existed before it ...",t:"Object-based storage"},"638":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/Namespaces and tenants.htm",a:"An HCP repository is partitioned into namespaces.  A namespace is a logical grouping of objects such that the objects in one namespace are not visible in any other namespace. Namespaces provide a mechanism for separating the data stored for different applications, business units, or customers.  For ...",t:"Namespaces and tenants"},"639":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/Namespace access.htm",a:"Namespace access HCP supports access to namespace content through: Several industry-standard protocols The HCP Namespace Browser The HCP metadata query API The HCP Search Console HCP Data Migrator",t:"Namespace access"},"640":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/Namespace access protocols.htm",a:"HCP supports access to namespace content through several industry-standard protocols: A RESTful HTTP API (simply referred to as HTTP in the HCP documentation) HS3, which is a RESTful, HTTP-based API that’s compatible with Amazon® S3 Hswift, which is a RESTful, HTTP-based API that’s compatible with ...",t:"Namespace access protocols"},"641":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/HCP Namespace Browser.htm",a:"The HCP Namespace Browser lets you manage content in and view information about namespaces.  With the Namespace Browser, you can: List, view, and retrieve objects, including old versions of objects View custom metadata and ACLs for objects, including old versions of objects Store and delete objects ...",t:"HCP Namespace Browser"},"642":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/HCP metadata query API.htm",a:"The HCP metadata query API lets you search HCP for objects that meet specified criteria.  The API supports two types of queries: Object-based queries search for objects based on object metadata.  This includes both system metadata and the content of custom metadata and ACLs.  The query criteria can ...",t:"HCP metadata query API"},"643":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/HCP Search Console.htm",a:"The HCP Search Console is an easy-to-use web application that lets you search for and manage objects based on specified criteria.  For example, you can search for objects that were stored before a certain date or that are larger than a specified size.  You can then delete the objects listed in the ...",t:"HCP Search Console"},"644":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/HCP Data Migrator.htm",a:"HCP Data Migrator (HCP-DM) is a high-performance, multithreaded, client-side utility for viewing, copying, and deleting data.  With HCP-DM, you can: Copy objects, files, and directories between the local file system, HCP namespaces, default namespaces, and earlier HCAP archives Delete individual ...",t:"HCP Data Migrator"},"645":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/HCP nodes.htm",a:"The core hardware for an HCP system consists of servers that are networked together.  These servers are called nodes. When you access an HCP system, your point of access is an individual node.  To identify the system, however, you can use either the domain name of the system or the IP address of an ...",t:"HCP nodes"},"646":{i:0.00224878786571259,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/Permissions.htm",a:"To access a namespace and take action in it, clients must have the necessary permissions.  The table below describes the possible permissions and the operations they allow. Permission Operations Browse List directory contents. Check for directory existence. Read Retrieve objects and system metadata. ...",t:"Permissions"},"647":{i:0.000601635202100525,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/Replication.htm",a:"Replication is the process of keeping selected tenants and namespaces in two or more HCP systems in sync with each other.  Basically, this entails copying object creations, deletions, and metadata changes between systems.  HCP also replicates tenant and namespace configurations, user and group ...",t:"Replication"},"648":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/Operations.htm",a:"Operations You use namespace access protocols to perform operations in a namespace.  The operations you can perform depend on the protocol you’re using.",t:"Operations"},"649":{i:0.000325206818646998,u:"../Content/Using a Namespace/Introduction to Hitachi Content Platform/Operation restrictions.htm",a:"The operations you can perform in a namespace are subject to these restrictions: The namespace access protocol must support the operation. If the namespace protocol requires client authentication, you need to provide valid user credentials. The namespace access protocol must be configured to allow ...",t:"Operation restrictions"},});